<?xml version="1.0" encoding="ISO-8859-1"?><!DOCTYPE rss PUBLIC "-//Netscape Communications//DTD RSS 0.91//EN" "http://my.netscape.com/publish/formats/rss-0.91.dtd">
<rss version="0.91"><channel><title>MyProject (2.1.12) Changes</title><link>http://myproj.mygroup.org//changes.html</link><description>MyProject
              (
              2.1.12
              ) Changes
            </description><language>en-us</language>
 
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
 

  

  
  
    <item><title>MyProject  fix
          (bug COCOON-2064)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug COCOON-2064)
        
        :
        
      Fix javadoc in PropertySettings. RunningMode is not supported in 2.1.x
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-2158)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2158)
        
        :
        
      Core: XMLByteStreamCompiler hard-coded limits of 0xffff Strings prevents large XML documents
            from being handled in Cocoon. 
    </description></item>
  
  
    <item><title>MyProject  fix
          (bug COCOON-1574)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug COCOON-1574)
        
        :
        
      Created XPathXMLFileModule to address issus with XMLFileModule. XPathXMLFileModule supports variable
      replacement and caching of documents in ehcache and expressions as soft references. 
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-2052)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2052)
        
        :
        
      Forms: Allow Ajax submission of forms with empty upload field.
     Thanks to Robin Wyles.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal: New SiteProfileManager providing the same profile to several users based on a configured key.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal: Some memory consumption improvements for the user profiles.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Core: Update xalan to 2.7.1.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1990)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
          (fixes bug COCOON-1990)
        
        :
        
      Sitemap: Redirect to cocoon:/foo did not work in sub-sitemap when it is in same directory as the root sitemap. 
     Thanks to Robert Hoffmann.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Core: Update xercesImpl to 2.9.1.
    </description></item> 
    <item><title>MyProject  fix
          (bug COCOON-2146)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-2146)
        
        :
        
      Event Cache Block: Restore serializability of persistent cache when using event-aware cache.
     Thanks to Ellis Pritchard.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-2129)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug COCOON-2129)
        
        :
        
      Mail Block: Fix setting of URL message body.
     Thanks to Robin Wyles.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1354)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug COCOON-1354)
        
        :
        
      &lt;map:serialize status-code="{}"/&gt; supports variable resolution.
     Thanks to Jochen Seifarth.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      XMLDB Block: Fix collection URLs in XMLDBSource. Fixes URL resolution and 'Mount DB' sample.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      XMLDB Block: Update Xindice to 1.1 release.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1440)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1440)
        
        :
        
      POI Block: Color string normalization.
     Thanks to Krystian Nowak.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-2098)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
          (fixes bug COCOON-2098)
        
        :
        
      build.sh: Allow for quoted shell arguments containing spaces.
     Thanks to Andreas Deininger.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-2027)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2027)
        
        :
        
      CForms: Handling of empty responses in AJAX Forms with IFrame transport.
     Thanks to Jan Oberst.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-2059)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2059)
        
        :
        
      Ajax: ajax/common.js makes use of deprecated dojo.animation.Timer
     Thanks to Alexander Klimetschek.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AN
        :
        
      XSP block: Upgrade Eclipse compiler to version 3.1.0 to allow the use of Java5 syntax in XSPs.
      (Latest released Eclipse version is 3.2.2 but use 3.1.0 to be consistent with the version
      picked up by the Maven build in trunk).
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-2077)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-2077)
        
        :
        
      Core, QDox: Fixed getInputStream() in XModuleSource and QDoxSource:
      Set up XMLSerializer in a component way, i.e. retrieve it from ServiceManager.
     Thanks to Ellis Pritchard.</description></item>
    <item><title>MyProject  update
          (bug COCOON-2073)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        GK
          (fixes bug COCOON-2073)
        
        :
        
      Dojo toolkit upgraded to 0.4.3 version. It contains fix for security bug. See http://dojotoolkit.org/releaseNotes/0.4.3.
     Thanks to Alexander Klimetschek.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1315)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JJ
          (fixes bug COCOON-1315)
        
        :
        
      I18n (ParamSaxBuffer): when substitution params like {0} are split over multiple character
      events, do not write out extra garbage characters.
     Thanks to Gunnar Brand.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
        :
        
      Portal: Marked PreparePortalAction, CopletSetDataAction, and ObjectModelAction ThreadSafe
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Core: Update log4j to 1.2.14, commons-io to 1.3.1, commons-lang to 2.3 and jakarta-regexp to 1.5.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-2023)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2023)
        
        :
        
      CForms: MultivalueEditorWithSuggestion doesn't add values to the listbox on Internet Explorer.
     Thanks to Larry Ruiz.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      CForms: Submit widget now inherits validate attribute value from the
      ancestor widget, if it is specified.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Serializers block: Correctly handle content of script and style tag as cdata for html.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-2013)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2013)
        
        :
        
      CForms: MultivalueEditorWithSuggestion, extended multivalueeditor widget with suggestion list.
     Thanks to Larry Ruiz.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-2011)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-2011)
        
        :
        
      CForms: CFormsSuggest widget does not implement the onValueChanged event.
     Thanks to Paul Friedman.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1927)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1927)
        
        :
        
      Core: EHCache now uses the configured cache directory instead of using the default of java.io.tempdir.
     Thanks to Richard Frovarp.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Core: Update ehcache to 1.2.3.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1984)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1984)
        
        :
        
      Template block: Add missing toString implementation to TemplateObjectModelHelper.ParametersMap.
     Thanks to Mark Lundquist.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1998)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1998)
        
        :
        
      Portal block: CocoonPortlet needs to allow overriding servlet-path parameter with preferences.
     Thanks to Woonsan Ko.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-2000)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JJ
          (fixes bug COCOON-2000)
        
        :
        
      CForms: Fix "Serialization parameter {indent} must have the value yes or no" error
      in Form.prototype.saveXML() when using Saxon.
     Thanks to Abbas Mousavi.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Core: Exipres caching pipeline can now cache the content forever (by setting cache-expires
      to a negative value).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
      Core: In store janitor, add an option to cleanup all stores on each janitor
      run. Default behavior is to cleanup one store at a time.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1985)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
          (fixes bug COCOON-1985)
        
        :
        
      Core: Fix deadlock in caching pipeline when used in combination with include transformer.
     Thanks to Ellis Pritchard.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
      CForms: introduce a new dojo-based popup-picker for dates, times and datetimes.
      For correct localization, supply a "dojo-locale" parameter to the forms styling XSLT (see samples).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
        :
        
      CForms: add support for a "timeStyle" attribute on the formatting date convertor, so
      that the time style can (optionally) be specified independently from the date style.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal block: Fix truncation of included portlets in html include serializer.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Auth block: Fix checking of double logins for the same security handler.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1979)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1979)
        
        :
        
      HSQLDB block: Fix startup problems with newer HSQLDB versions and upgrade to 1.8.0.7.
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1979)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1979)
        
        :
        
      Core: Check for reloading of javascript files loaded by cocoon.load().
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1471)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug COCOON-1471)
        
        :
        
      Forms block: Add method to create binding from DOM tree.
     Thanks to Robin Wyles.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1977)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1977)
        
        :
        
      Core: Fix threading issue with internal cache in ResourceReader.
     Thanks to Ellis Pritchard.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1976)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1976)
        
        :
        
      POI Block: Prevent NPE in ElementProcessorSerializer on characters before first startElement.
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JQ
        :
        
      Updating Dojo to 0.4.1.
      
      	use namespaces for loading widgets
      	cleanup of client-side libraries into cocoon.forms.common
      	deprecation and replacement of functions in forms_lib.js cocoon.js CFormsForm.js
      	all cforms forms now use a dojo widget (forms:SimpleForm or forms:AjaxForm)
      
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1776)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1776)
        
        :
        
      Portal Block: Applied and improved patch for reloading bookmarks based on their (file) validity.
     Thanks to Vincent Demay.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal Block: Fix handling of missing special parameters for forms in NewEventLinkTransformer.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Auth Block: Make isUserInRole a static method.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JQ
        :
        
      Fixes to forms and ajax samples.
    </description></item>
  
  
    <item><title>MyProject  fix
          (bug COCOON-1811)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1811)
        
        :
        
      Core: Allow dynamic loading of JavaScript objects even when scope is locked.
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1916)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1916)
        
        :
        
      CForms: Always set viewData for flow script functions (if it's not available set it to null).
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1969)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1969)
        
        :
        
      Javaflow OJB Sample: Fix "No method 'showEmployee' found".
     Thanks to Jeroen Reijn.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1970)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1970)
        
        :
        
      The JavaFlow OJB sample overwrote the first entry on insert instead of adding a new entry.
      This has been fixed.
     Thanks to Jeroen Reijn.</description></item>
    <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        CZ
        :
        
      Core: Removed the buggy WildcardHelper. Use the new improved WildcardMatcherHelper.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Profiler block: Add statistics component.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Databases block: Add support for iBatis to use configured Excalibur data sources in iBatis.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1965)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AS
          (fixes bug COCOON-1965)
        
        :
        
      CForms: The filterfield widget was not defined for the forms manager.
     Thanks to Jeroen Reijn.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1962)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1962)
        
        :
        
      CForms: Numeric based suggestion list should initialzate to the corresponding suggested text.
     Thanks to Carlos Chávez.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
      Updated Rhino (Javascript engine) to version 1.6R5.
      This version is licensed under MPL, while previous versions were licensed under NPL,
      which was a problem since software licensed under NPL cannot be included in Apache products.
      The new version should be compatible with the previous version, though it does
      not support the constructs "catch (continue|break|return)" which were available
      in Cocoon's Rhino fork.
    </description></item> 
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated xercesImpl to 2.9.0 and xml-apis to 1.3.04.
    </description></item> 
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JQ
        :
        
      Ajax: upload progress bar widget.
      
        A new dojo widget to display file upload progress for forms (and cforms).
        Ajax-enabled cforms can now submit file-upload fields in the background.
        New system pipelines for Blocks (/_cocoon/system/[blockname]/**).
        Sitemaps can now call flowscripts written in a static namespaced style.
        Added JSON Serialization utilities for flowscript.
        You can now get i18n translations from Stings in flowscript.
      
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
      Core: Add ability to pre-load i18n catalogues in I18nTransformer.
      Removed references to defunct cache-on-startup configuration.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1879)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JJ
          (fixes bug COCOON-1879)
        
        :
        
      CForms: Added @whitespace attribute to fd:field widget, to control how leading
      and trailing whitespace characters are handled when reading submitted values.
      Accepted values are: "trim" (default), "trim-start", "trim-end", and "preserve".
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Mail: Improve MailSender interface: added setBody(Object), setBodyURL
      methods, deprecated setCharset, setBody(String), setBodyFromSrc,
      setBodyFromSrcMimeType methods. Support byte[], InputStream as body and
      attachment objects.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Mail: Log exceptions from mail attachments - JavaMail does not preserve
      cause exception.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1936)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1936)
        
        :
        
      Lucene: Add analyzer parameter to SearchGenerator
      as stated by the docs.
     Thanks to Jeroen Reijn.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1894)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1894)
        
        :
        
      Databases: Added support for the SQL:XML tag in SQLTransformer.
     Thanks to Geurt Wisselink.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1878)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1878)
        
        :
        
      Validation: Replaced references to constant declarations in
      javax.xml.XMLConstants, which are not in the official API.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1692)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1692)
        
        :
        
      CForms: Tree widget not handling on-selection-change events correctly.
     Thanks to Suzan Foster.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1883)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1883)
        
        :
        
      XSP: SOAPHelper does no longer accept only replies with an XML declaration.
     Thanks to Fabian Linz.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated commons-lang to 2.2 and bsf to 2.4.0.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1900)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1900)
        
        :
        
      CForms: Add a name attribute to a booleanfield in output mode to
      make it easily accessible in JavaScript.
     Thanks to Gabriele Columbro.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1867)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1867)
        
        :
        
      CForms: BeanConvertor uses a WeakHashMap in the wrong way.
     Thanks to Gabriele Columbro.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
        :
        
      AJAX: Fix cocoon suggest sample.
     Thanks to Christofer Dutz.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Deprecate method org.apache.cocoon.components.flow.FlowHelper.unwrap(Object).
      This method will be removed in 2.2 release. Use org.apache.cocoon.components.flow.util.PipelineUtil.unwrap(Object) instead.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1196)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1196)
        
        :
        
      XSP: Use namespace-uri and not the namespace-prefix to select parameters
      in logicsheet-util.xsl.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1462)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug COCOON-1462)
        
        :
        
      Databases: Check for null LOBs.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1866)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1866)
        
        :
        
      JXTemplate: Fix an ArrrayIndexOutOfBoundsException with jx:comment.
     Thanks to Ellis Pritchard.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1818)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AS
          (fixes bug COCOON-1818)
        
        :
        
      Apply patch to handle malformed recipient address exception correctly.
     Thanks to Jasha Joachimsthal.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1906)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug COCOON-1906)
        
        :
        
      CForms: Apply patch to disambiguate toSAX method call.
     Thanks to Lars Trieloff.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Core: Move BackgroundEnvironment from Cron block into the Core.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Core: i18n transformer was loosing whitespaces in i18n:text, i18n:translate,
      i18n:param elements if they had mixed content.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1919)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1919)
        
        :
        
      CForms: In AbstractWidgetDefinitionBuilder, methods "setValidators",
      "setCreateListeners", and "setCommonProperties" now have visibility "protected"
      instead of "private"
     Thanks to Guillaume Déflache.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      Core: Rewrite of WildcardMatcherHelper where the heavy-lifting is left to the regexp library.
      That fixes a false positive where "menu/foo/bar.xml" was matched by "menu/*.xml" in the old
      implementation.  The new code also removes the over-greedyness of '**' that "**/*/*" can now
      be matched successfully.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated xercesImpl to 2.8.1.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      CForms: FormManager now caches form definitions created from Source or URI.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      Core: Off-by-1 bug in WildcardMatcher found pattern matches which were not there.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      Core: '**' in complex WildcardMatcher pattern did not match an empty pathstep.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      XSP block: Using document('') in logicsheet caused NPE.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      CForms: Repeater identity binding was failing on save if widget path was
      given.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      CForms: Inherit fb:on-delete-row, fb:on-insert-row, fb:identity repeater
      bindings from the parent. Fix detection of 'simple' mode.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
        :
        
      ZipArchiveSerializer: Set time stamp of ZIP entries to last modification
      time of source file.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated ehcache to 1.2.2.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
        :
        
      XSP block: Add example for on-the-fly generation of ZIP file.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      XSP block: Suppress xmlns:xsp namespace declaration on XSP generated root element.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
      Repository: Add CachingSource source implementation (from trunk).
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JJ
        :
        
      ImageOp: Send info/debug messages to the log rather than System.out.println
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1815)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1815)
        
        :
        
      Core: CopySourceAction generate NPE.
     Thanks to Frédéric Glorieux.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1849)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1849)
        
        :
        
      CForms: Removed debug logging left in AggregateFieldDefinitionBuilder.java.
     Thanks to Mark Lundquist.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1687)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        MPO
          (fixes bug COCOON-1687)
        
        :
        
      CForms: Reverting incompatible change introduced in version 2.1.9.  When binding a widget with value null, XML
      elements are no more deleted.  The behaviour is now the same as in version 2.1.8.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1889)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1889)
        
        :
        
      CForms: Tiny typo in JavaScriptJXPathBinding.
     Thanks to Jeroen Goubert.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1678)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1678)
        
        :
        
      CForms: HTMLArea unable to set target and title to a "link".
     Thanks to Jeroen Reijn.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1758)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1758)
        
        :
        
      CForms: Form locale never used in JXMacros.
     Thanks to Carlos Chávez.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1885)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1885)
        
        :
        
      Core: EHDefaultStore returns in the size() method the wrong number of keys.
     Thanks to Ard Schrijvers.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      CForms block: JavaClassValidatorBuilder supports Configurable validator implementations. New AbstractJavaValidator
                    implementation supports generation of customized fail messages.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1882)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1882)
        
        :
        
      Core: ZipArchiveSerializer causes "Too many open files" exception.
     Thanks to Holger Wahlen.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1854)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1854)
        
        :
        
      Browser selector should have Opera before MSIE.
     Thanks to Andrew Stevens.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1880)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1880)
        
        :
        
      Lucene Block: Allow LuceneIndexTransformer to index large documents (with more than 10k terms).
     Thanks to Conal Tuohy.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1876)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1876)
        
        :
        
      XML-DB Block: XMLDBTransformer blows up Saxon.
     Thanks to Don Grodecki.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        GP
        :
        
      Switched to the new WildcardMatcherHelper for all wildcard matching which is a rewrite
      of the WildcardHelper.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated quartz to 1.5.2.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
      EHDefaultStore: Allow users to configure disk-persistent parameter. In earlier cocoon
      versions this ehcache parameter was always true. It defines whether or not the disk
      store persists between restarts of the Virtual Machine. The default value is true.
     Thanks to Ard Schrijvers.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      The predefined variables "parameters" and "cocoon.parameters" now both point to the
      parameters object in JXTemplateGenerator and the template block. (cocoon.parameters did
      point to a properties object).
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1862)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1862)
        
        :
        
      HSQLDB Block: Workaround for HSQLDB improper shutdown in SAP NetWeaver.
     Thanks to Igor Naumov.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1864)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1864)
        
        :
        
      CForms Block: RepeaterJXPathBinding - order of row is inverted.
     Thanks to Dennis Dam.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1861)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1861)
        
        :
        
      Naming Block: Check for Null URI in LDAPTransformer.
     Thanks to Igor Naumov.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Add the CoWarp contribution by Carsten Ziegeler from the Osoco open source project (http://osoco.sourceforge.net/cowarp/).
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Deprecate session-fw and authentication-fw block. These blocks will be removed in further releases.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Databases: Read CLOBs using getCharacterStream, delegate character decoding
      to the database. Revert to old behavior if clob-encoding parameter is present.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal Block: Add support for input modules in start uri for application coplet.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1247)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug COCOON-1247)
        
        :
        
      Databases: Support multiple results in SQLTransformer.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1552)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug COCOON-1552)
        
        :
        
      Databases: Fix NPE in SQLTransformer in error handling code.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Databases: Support CLOBs in SQLTransformer when returned as stored procedure
      parameters, or as columns in a cursor returned by stored procedure.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Databases: Fix reading of the CLOBs in SQLTransformer.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
      CForms Block: Add multiple repeater drag &amp; drop dojo sample.
     Thanks to Carlos Chávez &amp; Eric Meyer.</description></item> 
    <item><title>MyProject  fix
          (bug COCOON-1857)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1857)
        
        :
        
      Set instrumentation manager on child component managers to enable
      instrumentation of all components including sitemap components.
     Thanks to Brian Vargas.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated dojo to 20060614.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Fix bug in wildcard matcher where a uri containing a pattern twice did not always match. For example,
      the uri "hallo.xml.xml" did not match "*.xml".
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1848)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1848)
        
        :
        
      CForms: Using setRequired in Ajax mode does not generate bu:replace.
     Thanks to Vincent Demay.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1847)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1847)
        
        :
        
      AJAX Block: Error popup window not resizable/scrollable.
     Thanks to Guillaume Déflache.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      CForms: Load and save model phase events are now send.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1741)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1741)
        
        :
        
      CForms: Output widget does not initialize from &lt;fd:initial-value&gt;.
     Thanks to Freek Segers.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1744)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1744)
        
        :
        
      Template block: NullPointerException.
     Thanks to Tim Williams.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1489)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1489)
        
        :
        
      XIncludeTransformer: XInclude transformer does not handle fallback correctly.
     Thanks to Jason Johnston.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1266)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1266)
        
        :
        
      ResourceReader fails to add HTTP headers.
     Thanks to Martin Kuck.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1840)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1840)
        
        :
        
      XMLFileModule: file-specific configuration ignored.
     Thanks to Guillaume Déflache.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1625)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1625)
        
        :
        
      HTTPRequest: Redundant copying between container and form encoding.
     Thanks to Aleksander Bandelj.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1694)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1694)
        
        :
        
      Error decommissioning component: org.apache.cocoon.components.store.impl.EHDefaultStore.
     Thanks to Pier Fumagalli.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1839)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1839)
        
        :
        
      exception2html.xslt: &lt;script /&gt; causes IE display problem.
     Thanks to Eric Meyer.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BD
        :
        
      Tour block: SVG samples now use the correct SVG 1.1 namespace.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1515)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
          (fixes bug COCOON-1515)
        
        :
        
      RequestGenerator: Add remoteUser() information.
     Thanks to Andrew Stevens.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1110)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1110)
        
        :
        
      XIncludeTransformer: xi:fallback fail when use parse="text".
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1753)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
          (fixes bug COCOON-1753)
        
        :
        
      XInclude transformer uses href fragment rather than xpointer attribute (spec conformance).
      The XInclude 1.0 spec (see http://www.w3.org/TR/xinclude/#include_element) states the following
      about the href attribute:
      
      'Fragment identifiers must not be used; their appearance is a fatal error.'
      
      Cocoon's XIncludeTransformer incorrectly allows xpointer fragments to be specified using
      a fragment identifier in the href attribute. The correct way to support xpointers is the
      'xpointer' attribute on xi:include, which the transformer does not currently recognize.
     Thanks to Jason Johnston.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Cocoon htmlunit testcases are now compatible with htmlunit 1.8.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated xmlunit to 1.0 and junit to 3.8.2.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SG
        :
        
      Added calculated fields implementation.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SG
        :
        
      Updated XReporter expressions to latest version (see http://issues.cocoondev.org/browse/XRP-113 ).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      CForms: Java event listeners can now implement Configurable, LogEnabled, and Contextualizable.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
      CForms: added a Repeater.moveRow2(from, to) method, which in contrast to the
      Repeater.moveRow method inserts the row at the exact to-index specified.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BD
        :
        
      FOP block depends on XSP block (for samples)
     Thanks to Vince.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RG
        :
        
      Portal: PageLabels can now be configured to be part of the url.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RG
        :
        
      Made the pool-max values in the html block's generators externally configurable. Made sitemap
      reloading externally configurable. Made pipeline amd encodeURLTransformer pool-max values
      externally configurable.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
      CForms/Ajax: when the Ajax-update contained an empty textarea, IE failed to parse this correctly,
      displaying '&lt;/span&gt;&lt;/div&gt;' in the textarea. Fixed by adding an explicit closing tag for
      textareas.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
      CForms: widgets in unions lost their value when switching between union cases.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated axis to 1.4 and commons-collections to 3.2.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1804)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SG
          (fixes bug COCOON-1804)
        
        :
        
      Added a lightweight FOM_SimpleCocoon class, and placed it in the javascript scope when there isn't 
      already a scope defined. This way, even when using javaflow, you have access to the cocoon
      object (with request etc..) from javascript snippets in definition.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1782)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SG
          (fixes bug COCOON-1782)
        
        :
        
      Added CSS classes in cocoon forms default XSLs.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated ehcache to 1.2.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1742)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug COCOON-1742)
        
        :
        
      The JDK 1.4 version of the EncodeURLTransformer did not work properly as it was not matching just the
      beginning of the string as the Jakarta-regexp version does. The transformer was corrected to only match
      the beginning of the string.  In 2.1.9 this error can be circumvented by configuring the transformer and
      adding "*" to the end of each pattern.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1845)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AS
          (fixes bug COCOON-1845)
        
        :
        
      As with all the AbstractTextSerializer based serializers, the XHTMLSerializer should handle the omit-xml-declaration to not put the XML declaration as first line of the serialized document.
      This prevents many rendering problems in Internet Explorer. Default behaviour is to send the xml declaration as before.
     Thanks to Maurizio Pillitu.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1511)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1511)
        
        :
        
      Commandline interface: the user-agent is now correctly set in the request headers (and not in the request parameters).
     Thanks to James Bates.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1716)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1716)
        
        :
        
      RandomNumberModule: does not returns random number in the range (min,max) as expected.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1721)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1721)
        
        :
        
      Performance Issue/JavaScriptFlowScript: If &lt;reload-scripts&gt; is set to false,
      don't check for last modification time of javascript source files.
     Thanks to Georg Hüttenegger.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      XSP block: Fix regression introduced in 2.1.8 that under specific circumstances logicsheets
      were not applied, leading to compilation errors.  This manifested itself only if
      a) two XSPs referred to the same custom logicsheet by a relative location path,
      b) the custom logicsheet used another logicsheet, and
      c) the built-in logicsheet's namespace was not mentioned in xsp:page.
      The compilation errors occurred always when calling the second XSP for the first time.
      Fix also race condition which could lead to similar XSP compilation errors under high load
      when accessing the same logicsheet for the first time.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Template block: Make the template block usable with JDK 1.3+ and enable it by default.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
        :
        
      CForms: Fix inplace editing samples
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1820)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug COCOON-1820)
        
        :
        
      CForms: Add id, state and listening attributes to the transformed form-template element (jx macros
              and forms transformer).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
        :
        
      XSP block: Use private methods to call start/endElement in xsp.xsl.
      That generates smaller bytecode allowing to compiler larger XSPs before hitting the
      64k limit for the size of the generate() method.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1781 COCOON-1685)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SG
          (fixes bug COCOON-1781 COCOON-1685)
        
        :
        
      Forms block: modified ProcessingPhase to add a PROCESSING_INITIALIZE phase instead of the spurious
      double READ_FROM_REQUEST_VALUE sent before. Made a ProcessingPhaseListener configurable from
      form definition with on-processing-phase and adapted the JavaScript widget listener to support
      processing phase events.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1801)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SG
          (fixes bug COCOON-1801)
        
        :
        
      Forms block: added repeater events. Repeater now sends row added, deleted etc.. events.
      The listener can be added in definition with an on-repeater-modified element. Added support
      for these events in JavaScript listener.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1844)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SG
          (fixes bug COCOON-1844)
        
        :
        
      Passing the default locale while parsing initial-value on a form if no locale attribute was specified.
    </description></item>
  
  
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
        :
        
      Fix caching problems in ImageReader: image was not regenerated when allow-enlarging or fit-uniform sitemap
      parameters were changed
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1809)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1809)
        
        :
        
      CForms: Added event handling for group of type "choice" (allow formsOnShow attribute)
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1808)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1808)
        
        :
        
      CForms: Added method StaticSelectionList.addItem(Object value, String label)
     Thanks to Rob Berens.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      CForms: add dynamic id to Form object. This allows to use the same form model several times on
              the same page, for example if the form is used in a portal.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RG
        :
        
      Configuration values can now be set externally. The properties that can be modified can be identified by
      looking at the property files in WEB-INF/properties. The properties can be overriden by specifying them as
      system properties when invoking Cocoon or by placing them in a property file and identifying its location via
      the "org.apache.cocoon.settings" system property. The default Cocoon script sets this to ./cocoon.properties.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1814)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1814)
        
        :
        
      Deprecated method o.a.c.environment.Environment.getOutputStream() still used internally.
     Thanks to Mark Lundquist.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1639)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1639)
        
        :
        
      Added the NekoHTMLTransformer.  Updated the NekoHTMLGenerator's setup bits to allow for setting parser features as
      well as properties, and provided a sample neko.properties configuration file.
     Thanks to Andrew Stevens.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated asm to 2.2.1, asm-util to 2.2.1 groovy to 1.0-jsr-05 and antlr to 2.7.6.
    </description></item>
    <item><title>MyProject  add
          (bug COCOON-1806)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
          (fixes bug COCOON-1806)
        
        :
        
      CForms: added an fd:java validator to make it easy to implement custom
      WidgetValidator's in Java (for use in the form definition).
     Thanks to Simone Gianni.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated commons-io to 1.2.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      Ajax: rewrote everything with Dojo, added a new "PartialLink" widget using
      the "target" attribute on links to partially update the page.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      Forms: many Ajax-related new features.
      
        Rewrote almost everything using Dojo
        Added a Dojo widget for repeaters, allowing drag and drop reordering of
            rows (but not on Safari) and clicking in rows to select them.
        Added a Dojo widget for inplace editing.
        Added a Dojo widget for suggestion-lists. It works in relation with a new
            &lt;fd:suggestion-list&gt; element in form definitions.
        Added a new selection/suggestion-list implementation based on a JS code
            snippet in the form definition.
        
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
      Forms: updated Daisy HTML cleaner component to version 1.4.1 (was 1.1).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
        :
        
      Added the template block from Cocoon 2.2. This block contains a refactored implementation
      of the JXTemplate generator, which should be compatible with the existing one and is thus
      usable as a drop-in replacement. It should provide better performance, and some new features,
      such as Javascript expressions using @{...} syntax. It is used by having type="newjx"
      on map:generate, or by changing the mapping of the "jx" generator type to the new
      implementation class.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1728)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug COCOON-1728)
        
        :
        
      Apples can now access components declared in mounted sitemaps.
     Thanks to Paul Focke.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated xercesImpl to 2.8.0 and xml-apis to 1.3.03.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1779)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug COCOON-1779)
        
        :
        
      JUnit tests for LocaleAction.
     Thanks to Andrew Stevens.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1335)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug COCOON-1335)
        
        :
        
      Incompatible change for RoleFilterTransformer: Removed dependency on FilterTransformer. Be careful to update your
      sitemap to reflect this. Also thanks to Andrew Stevens for updating the patch against recent branch and Doug
      Bennet for the reminder.
     Thanks to Michal Durdina.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1789)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AS
          (fixes bug COCOON-1789)
        
        :
        
      Add Char datatype to forms.
     Thanks to Simone Gianni.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1729)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1729)
        
        :
        
      Allow to add multiple rows at once to a Repeater using &lt;fd:repeater-action command="add-row" number-of-rows="5" ...&gt;
     Thanks to Rolf Metternich.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1796)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1796)
        
        :
        
       TraversableGenerator calls resolveURI() twice but release() only once.
     Thanks to Freek Segers.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal Block: Remove "external" attribute from coplet links.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal Block: Fix handling of several instances of the same portlet where all instances
                    showed the contents of the last portlet instance.  This only  applies to JSR-168 portlets,
                    not to coplets.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1707)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1707)
        
        :
        
      Allow configuration of initial context in LDAPTransformer.  Example:
      &lt;ldap:initial-context name="com.sun.jndi.ldap.connect.timeout" value="5000"/&gt;
     Thanks to Sébastien Grimault.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1206)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        DC
          (fixes bug COCOON-1206)
        
        :
        
       html block: Add CleanupTransformer. Enables indent html, add relevant line-breaks,
       and remove any namespaces that are not wanted.
     Thanks to Miles Elam.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1371)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1371)
        
        :
        
      Allow ImageReader to process other image formats than JPEG
     Thanks to George Georgovassilis.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1785)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1785)
        
        :
        
       Form block: I18nMessage - null parameter values causes NPE.
     Thanks to Eric Meyer.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1786)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1786)
        
        :
        
       Ajax block: BrowserUpdateTransformer can get into invalid state - must override recycle().
     Thanks to Eric Meyer.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1279)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1279)
        
        :
        
      Fix caching-point pipelines.  Remove the undocumented smart-caching parameter.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1066)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1066)
        
        :
        
      LDAPTransformer can optionally output the DN of every returned entry as an
      attribute.  To enable, use &lt;ldap:dn-attribute&gt;dn&lt;/ldap:dn-attribute&gt;
     Thanks to Antonio Fiol.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1705)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1705)
        
        :
        
      Fix handling of &lt;ldap:execute-replace&gt; causing NPE in LDAPTransformer
     Thanks to Warrell Harries.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      JCR block: To build the JCR block, the jcr-api-1.0.jar has to be downloaded by the user
                 prior to building the block. Have a look at the readme in the jcr block for
                 more information.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RG
        :
        
      Mark Forms block stable. Make dream team sample work with it.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
        :
        
      Portal: Corrected problem with many ClassNotFoundExceptions occurring inside of the class loader by eliminating the
      usage of Castor deriveByClass in portal configurations. This change significantly improves performance of the portal
      login.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1742)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug COCOON-1742)
        
        :
        
      When compiling with Java 1.4 or higher, EncodeURLTransformer was modified to use JDK 1.4 regular expressions
      instead of Jakarta regexp improving performance and avoiding possible stack overflows.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1778)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1778)
        
        :
        
       Cron block: NPE calling QuartzJobScheduler.fireJob if the job is a CronJob.
     Thanks to Eric Meyer.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
        :
        
      In cocoon.sh, use shell built-in command "exec" to replace sh's process
      instead of forking a new process for executing the "java" command, useful
      for proper service management
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
        :
        
      CForms: binding: implemented support for a new attribute "jxpath-factory"
      (can be used on any binding element) to change the factory used by JXPath
      when it needs to create new paths (currently this is fixed to the
      DOMFactory). This is useful when using non-DOM, non-bean data models.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1344)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1344)
        
        :
        
      CForms: call dispose() on every DatatypeBuilder if needed
     Thanks to Jonas Ekstedt.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
        :
        
      CForms: Java event listeners can now implement Serviceable to get a ServiceManager and Initializable.
     Thanks to Philippe Gassmann.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
        :
        
      CForms: when building the query string in AJAX mode, do not include &lt;input type="button"&gt;
     Thanks to Philippe Gassmann.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1771)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1771)
        
        :
        
      cocoon.ajax.Fader runtime error when style uses abreviated form #ccc in IE6.0sp2.
     Thanks to Eric Meyer.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1301)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1301)
        
        :
        
      Added the imageop block, an Image Operation Reader providing a fairly
      flexible and powerful Image Reader that is capable of performing a stack
      of Effects, such as Scaling, color manipulation and coordination
      transforms, in a pluggable manner.
     Thanks to Niclas Hedhman.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1465)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1465)
        
        :
        
      Add WEB-INF/classes to loader's classpath for cli and precompile
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1715)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1715)
        
        :
        
      Allow to run Cocoon CLI by adding servlet.jar in the classpath.  Turn off cli's debug messages by default.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1681)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1681)
        
        :
        
      Fix a bug in DirectoryGenerator: when using cocoon: changes were not detected
     Thanks to Antonio Fiol.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1238)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1238)
        
        :
        
      CForms: Incompatible change for &lt;fb:custom&gt;: the base context is now passed instead of the relative context.
      Please change corresponding classes and use getXpath() to create the relative context yourself.
     Thanks to Bart Molenkamp.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1238)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1238)
        
        :
        
      CForms: Java classes used in &lt;fb:custom&gt; can now implement Serviceable to get a ServiceManager
     Thanks to Bart Molenkamp.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1558)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1558)
        
        :
        
      CForms: fix &lt;ft:validation-error&gt; handling when used with FormsTemplateTransformer
     Thanks to Jochen Kuhnle.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated db-ojb to 1.0.4.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1695)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1695)
        
        :
        
       Allow AbstractTextSerializer to be used with Saxon
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1704)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1704)
        
        :
        
       Disable Error Message when SAXON is used as the XSLT transformer
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1699)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1699)
        
        :
        
       CForms: Enable MultiValueFields with checkbox style to be disabled
     Thanks to Paul Focke.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1719)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1719)
        
        :
        
       IncludeTransformer: source must not be cached if an error occurs
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1651)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1651)
        
        :
        
       Fix a bug in CForms: Null locator in EffectPipe triggers NPE
     Thanks to Tom Green.</description></item>
    <item><title>MyProject  add
          (bug COCOON-1170)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
          (fixes bug COCOON-1170)
        
        :
        
      Added a "precompile" target for the cocoon startup script.  It precompiles
      all XSPs found in the webapp.
     Thanks to Simon Mieth.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1698)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug COCOON-1698)
        
        :
        
      Portal block: Fix handling of caching-global-use-attributes bug in CachingCopletAdapter.
     Thanks to Guillaume Deflache.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated log4j to 1.2.13, quartz to 1.5.1.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JBQ
        :
        
      CForms: Added the sendForm(uri, viewData) function to Form.js, useful to display a form without the need to create
      a continuation.  Useful along with the new processForm(viewData) function that updates the form values from the
      current request.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1720)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1720)
        
        :
        
       Fix a bug in CForms: Form.js overwriting the CFormsInstance attribute in viewData
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1736)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1736)
        
        :
        
       Fix a bug in CForms library when extending a field
     Thanks to Daniele Madama.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
        :
        
       CSVGenerator now looks for the sitemap parameter "process-headers" (with
       the s at the end) as told in the documentation.  Accepts a new sitemap
       parameter "max-records" which allows to limit the number of records to
       read.  Fixes a caching bug: the same result was returned notwithstanding
       the modification of separator or escape character.
     Thanks to Philippe Laplanche.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1610)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1610)
        
        :
        
       Add ids to CForms validation messages, so that they can be unit-tested
     Thanks to Thomas Lutz.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1627)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1627)
        
        :
        
      Permit the choice of attributes to augment in AugmentTransformer
     Thanks to Aurélien DEHAY.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1621)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1621)
        
        :
        
      Allow to use a &lt;fd:value-count&gt; validation rule with &lt;fd:multivaluefield&gt;
     Thanks to Marco Rolappe.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1731)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1731)
        
        :
        
      Allow to extend JXPathBinding outside the org.apache.cocoon.forms.binding package
     Thanks to Philippe Gassmann.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1687)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1687)
        
        :
        
      When saving a cform, remove xml elements if the value of the widget is null.
      Symptom is eg date field initialized to 1970-01-01
     Thanks to Philippe Gassmann.</description></item>
    <item><title>MyProject  fix
          (bug COCOON-1259)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JBQ
          (fixes bug COCOON-1259)
        
        :
        
      XMLDBTransformer can use username/password to access XMLDB.
      Note that DatabaseManager.getCollection() accepts null values for user and
      password, see
      http://xmldb-org.sourceforge.net/xapi/api/org/xmldb/api/DatabaseManager.html#getCollection(java.lang.String,%20java.lang.String,%20java.lang.String)
    </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal Block: Provide user name to portlets.
    </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal Block: Make wsrp event adapter thread safe, fix error in disposing wsrp
                    producer and update portals bridges to 1.0.
    </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Replace deprecated library excalibur-io 1.1 with commons-io 1.1.
     The file excalibur-io-1.1.jar is no longer part of the cocoon distribution.
     Note: All the packages under org.apache.avalon.excalibur.io.* can be found under
     org.apache.commons.io.*. Please update the imports in your code.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated asm to 2.1, asm-util to 2.1 and groovy to 1.0-jsr-04.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      XSP block: Reintroduce locally scoped xspAttr in xsp.xsl to improve backwards compatibility for pre-2.1.9
      logicsheets.  (Suggestion by Vadim Gritsenko).
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1700)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug COCOON-1700)
        
        :
        
      I18n: XMLResourceBundle checks now for both the new and the old namespace.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      XMLDB: heavy refactoring. The source is now traversable (like file and jcr) and has two specific
      methods: createId to create a new document ID for a collection, and and getBinaryOutputStream
      to write binary data to the database.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
        :
        
      XSP block: Instrument {#expr} interpolation to produce Cocoon stacktrace for parse errors.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal block: Fix possible encoding problems with JSR 168 portlets.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Support external form actions in HTML transformation.
    </description></item>
    <item><title>MyProject  fix
          (bug COCOON-1691)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
          (fixes bug COCOON-1691)
        
        :
        
      Database block: Renaming AttributeImpl xspAttr to _xspAttr was not applied to ESQL logicsheet.
      That caused compliation errors in all XSPs using it.
     Thanks to Feliciano Borrego.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        MPF
        :
        
      Core: Error handling fixed in map:aggregate (ContentAggregator). Now, no content is prepended to the
      result of any error handling pipeline.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        MPF
        :
        
      Core: Caching pipelines (CachingProcessingPipeline, ExpiresCachingProcessingPipeline, ...) will now check
      if the content they are trying to generate is already being generated by another caching pipeline.
      If so, they will wait for that content to appear in the Cache and use that content instead of
      re-generating it and possibly causing high load on the server.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        MPF
        :
        
      Core: ExpiresCachingProcessingPipeline will not set up a pipeline anymore when a cached
      version of it is available. Any cached response will now serve quickly, no matter how
      complex the actual pipeline is.
    </description></item>
  
  
    <item><title>MyProject  fix
          (bug COCOON-1365)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug COCOON-1365)
        
        :
        
      POST method in cinclude:includexml is broken.
     Thanks to Maurice Jumelet.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Forms block: If a field is required or not can be changed during form processing.
                   Applied patch by Philipp Schmidt (philipp.schmidt@gmail.com).
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
      Forms block:
      
         Automatic submit-on-change. Fields which have value-changed listeners are now by default submitted
             automatically, meaning adding &lt;fi:styling submit-on-change="true"/&gt; is no
             more necessary. For those cases where a field with event listeners should not be automatically
             submitted, set submit-on-change to false.
         
         Introduce a naming convention for stylesheet-generated IDs: they should all start with the
             widget's ID followed by a ":" and a name. The use of ":", which is forbidden in widget names,
             avoids conflicts with other widgets in the form. All stylesheets have been updated to this convention.
             This change can break applications that use document.getElementById() to access some of the generated
             elements (notably "foo-input" that's used for the &lt;input&gt; of the "foo" widget), but this notation is now
             a public contract that will be taken care of in the future.
         
         Along with field, aggregatefield and booleanfield, you can now add value-changed listeners on output
             and upload widgets.
         
         Widget validators can now return not only a boolean value, but also a String or an XMLizable (such as
             I18nMessage) which are used to set a validation error on the widget.
         
         The &lt;fi:styling submit-on-change="output"/&gt; is no more available, as it was
             intrinsically broken as a field whose value is not submitted is reset. Use the "output" widget state to
             achieve the same effect.
         
      
    </description></item>
    <item><title>MyProject  fix
          (bug 36381)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 36381)
        
        :
        
      Forms block: Fix HTML rendering of booleanfields in output state.
     Thanks to Jason Johnston.</description></item>
    <item><title>MyProject  fix
          (bug 37005)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 37005)
        
        :
        
      Forms block: Fix ArrayIndexOutOfBoundException in the library subsystem.
     Thanks to Philipp Schmidt.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal Block: Only remove layout if a layout remove event is fired (and not with each layout event).
    </description></item>
    <item><title>MyProject  fix
          (bug 36471)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 36471)
        
        :
        
      Fix bug with session:getxml when path is a text-element and IncludeXMLConsumer
      when including text nodes.
     Thanks to Armaz Mellati.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Update Pluto to final release 1.0.1.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Portal block: Deprecate AbstractUserProfileManager and AuthenticationProfileManager.
    </description></item>
    <item><title>MyProject  fix
          (bug 33152)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 33152)
        
        :
        
      Portal block: Add title to basket item in the portal sample.
     Thanks to Philippe Gassmann.</description></item>
    <item><title>MyProject  fix
          (bug 37115,29405)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 37115,29405)
        
        :
        
      Portal block: Fix history aspect when coplets are used.
     Thanks to Philippe Gassmann.</description></item>
    <item><title>MyProject  fix
          (bug 35905)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 35905)
        
        :
        
      Do not flush and close output stream, servlet container
      will take care of it.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal Block: Include coplet instance id in window renderer; ignore
      javascript: urls during url rewriting.
    </description></item>
    <item><title>MyProject  fix
          (bug 32784)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 32784)
        
        :
        
      Portal Block: Allow Full screen mode to show navigation.
    </description></item>
     <item><title>MyProject  fix
          (bug 34802)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 34802)
        
        :
        
      Portal Block: PageLabelLinkService generated the wrong url when using 3 layer tabs with showallnav.
     Thanks to Roy Huang.</description></item>
    <item><title>MyProject  fix
          (bug 30894)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 30894)
        
        :
        
      Databases block: Support stored procedures returning result set in SQLTransformer.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
      Bricks-cms example application created (distributed separately), see http://wiki.apache.org/cocoon/BricksCms
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        LG
        :
        
      Improved blocks build exclusion/inclusion. See blocks.properties for more info.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      I18n: Refactored XMLResourceBundle to use transient store instead of
      private cache. Added reload check interval parameter. Support dynamic
      additions and removals of resource bundles, without need to restart
      Cocoon.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      JavaDocs and documentation are no longer copied to the webapp.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BD
        :
        
      build.sh: use --noconfig option to avoid problems with local ant settings.
      Does not apply to build.bat, windows ant scripts do not have this option.
     Thanks to Sandor Spruit.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BD
        :
        
      cocoon.sh and cocoon.bat (done by CZ): "servlet" is now the default action.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Update Avalon framework to 4.3, Avalon LogKit to 2.1, Excalibur Instrument to 2.1,
      Excalibur Logger to 2.1, Excalibur Pool to 2.1, Excalibur SourceResolve to 2.1,
      Excalibur Store to 2.1, Excalibur XMLUtils to 2.1 and Excalibur Database to 2.1.
    </description></item>
    <item><title>MyProject  fix
          (bug 30796)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug 30796)
        
        :
        
      Fix OutofBoundsException when form element does not have an action attribute
     Thanks to Max Pfingsthorn.</description></item>
    <item><title>MyProject  fix
          (bug 34802)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 34802)
        
        :
        
      Portal Block: PageLabelLinkService generated the wrong url when using 3
      layer tabs with showallnav.
     Thanks to Roy Huang.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      CForms block: new Tree widget, heavily inspired by Swing's JTree. Features Ajax, selection listeners,
      and a lightweight data model with two implementations: a generic one, and a source-based one to build
      file explorers.
    </description></item>
    <item><title>MyProject  add
          (bug 36781)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JHS
          (fixes bug 36781)
        
        :
        
      CForms: The repeater widget now supports min and max-size attributes.
     Thanks to Thomas Lutz.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
      Moved support for zip: sources from scratchpad into the core.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      CForms: Small change to the calendar styling which now shows dropdowns
      to choose the time when the date format includes time also.
     Thanks to Jean-Christophe Kermagoret.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated quartz to 1.5.0.
    </description></item>
    <item><title>MyProject  update
          (bug 28056)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 28056)
        
        :
        
      Midi Block: Marked as stable.
    </description></item>
    <item><title>MyProject  update
          (bug 32994)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
          (fixes bug 32994)
        
        :
        
      Portal Block: Provide sample for caching uri coplet adapter (Gallery coplet).
     Thanks to Michal Durdina.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal Block: Add missing interface CopletInstanceEvent to FullScreenCopletEvent.
    </description></item>
    <item><title>MyProject  update
          (bug 35475)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 35475)
        
        :
        
      CForms: Improved error message for wrong content type on upload.
     Thanks to Mark Lundquist.</description></item>
    <item><title>MyProject  fix
          (bug 35162)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 35162)
        
        :
        
      XSP: EclipseJavaCompiler chokes on warnings. Changed to errors.
     Thanks to Jochen Kuhnle.</description></item>
    <item><title>MyProject  fix
          (bug 33318)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 33318)
        
        :
        
      CForms: Fixed JavaScript error in forms-lib.js when using keyword undefined and Mac IE 5.0.
     Thanks to Dan Durkin.</description></item>
    <item><title>MyProject  add
          (bug 31600)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
          (fixes bug 31600)
        
        :
        
      Caching support for XInclude Transformer
     Thanks to Jason Johnston.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      CForms block: new form libraries features. You can now define form definition and binding
      library files and import them for reuse and/or extension in regular definition and binding files.
      
      This is the result of the Max Pfingsthorn's Google Summer of Code (GSoC) project.
     Thanks to Max Pfingsthorn.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
      When the upload size exceeds the configured limit, a RejectedPart is associated to the request
      rather than throwing a exception at the servlet level. This allows the application to handle
      oversized uploads and provide meaningful messages. The upload widget in CForms has been updated
      to use this new feature.
      
      Uploads are now allowed in the provided web.xml, but with a low 100 kbytes limit to allow samples
      to be functional without endangering security.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated log4j to 1.2.12, asm to 2.0, asm-util to 2.0,
       groovy to 1.0-jsr-03.
    </description></item>
    <item><title>MyProject  fix
          (bug 35538)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug 35538)
        
        :
        
      Deli block updated to use the latest revision of DELI. This uses a more robust method of loading configuration 
      files that should ensure DELI works on different apps servers or deployed as a WAR.
     Thanks to Mark H. Butler.</description></item>
    <item><title>MyProject  fix
          (bug 29712)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug 29712)
        
        :
        
      MultipartParser now removes partially uploaded files
     Thanks to Gunnar Brand.</description></item>
    <item><title>MyProject  add
          (bug 35462)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JHS
          (fixes bug 35462)
        
        :
        
      Added ImageMap widget.
     Thanks to Luca Morandini.</description></item>
    <item><title>MyProject  fix
          (bug 36326)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JHS
          (fixes bug 36326)
        
        :
        
      Added percentage-dimensions and jpeg quality handling to the ImageReader.
     Thanks to Eric Caron.</description></item>
    <item><title>MyProject  fix
          (bug 35845)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        LG
          (fixes bug 35845)
        
        :
        
      JXTG: jx:formatDate and jx:formatNumber allows for specifying locale string instead of a Locale object
     Thanks to Henric Mueller.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        PF
        :
        
      Added a new "validation" block abstracting the concept of XML validation and providing access to schemas
      and validation tools from within Cocoon pipelines and/or Cocoon components. As of right now, the
      "validation" block supports the RELAX-NG grammar using JING and the XML-Schema grammar using Xerces.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      Add a "cocoon.exit()" method to flowscript, which allows to exit the current flowscript invocation without
      creating a continuation.
    </description></item>
    <item><title>MyProject  fix
          (bug 35575)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 35575)
        
        :
        
      XMLdb block: Don't rely on the sitemap components to stream the contents of a xmldb source.
     Thanks to Jean-Baptiste Quenot.</description></item>
    <item><title>MyProject  fix
          (bug 35574)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 35574)
        
        :
        
      CForms block: Escape apostrophes in validation messages formatted as JavaScript alerts.
     Thanks to Jean-Baptiste Quenot.</description></item>
    <item><title>MyProject  fix
          (bug 36373)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 36373)
        
        :
        
      getTime(...) of CocoonLogFormatter implemented incorrectly
     Thanks to Johan Stuyts.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      SourceWritingTransformer supports all allowed nodes when using
      source:write to create new document.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      LocaleMatcher can save resulting locale into request, session or cookie
      (if configured).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Add WSRP consumer support (through WSRP4J).
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated hsqldb to 1.8.0.2.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal block: Fix bugs in CachingURICopletAdapter - store cache information in temporary attributes.
                    This bug fix introduces incompatible changes: the cache validity attribute is not
                    used anymore, use the cache temporary attribute instead and update your code to
                    use temporary attributes instead of (persistent) attributes.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated jakarta-regexp to 1.4.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Allow portlet adapter to stream html content through the pipeline using the NekoHTML parser.
    </description></item>
    <item><title>MyProject  add
          (bug 36240)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 36240)
        
        :
        
      Portal block: Use OJB and the HSQLDB for authentication of the portal sample.
     Thanks to Jens Maukisch.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      XSP block: Move AttributeImpl in xsp.xsl to class scope.
      That allows top-level xsp:logic to define markup generating methods.
      Variable xspAttr renamed to _xspAttr to be avoid breaking existing
      XSPs which already use that trick.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
        :
        
      XSP block: Add xsp:expr and various other contexts where text must be
      passed through XSLTExtension:escape in order to preserve non-ASCII
      characters in Java string constants independently of the XSP source file
      and compiler expected encodings.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Faces block: Updated MyFaces libraries to the SVN r233484, get rid of patched
      version.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Add support for portal bridges and add CoWarp for authentication.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Add global caching to caching uri adapter.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated xalan to 2.7.0.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
      Add geronimo-specs-javamail-1.3.1-rc5 and geronimo-spec-activation-1.0.2-rc4.jar. This jars replace mock classes for mail block.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
     JXTemplate: ensure JXPath expressions can use namespace prefix mappings declared in the template document.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Updated Axis to 1.2.1 and wsdl4j to 1.5.1.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated xercesImpl to 2.7.1, xml-apis to 1.3.02, log4j to 1.2.11, nekohtml to 0.9.5,
      geromino-spec-jms and geronimo-spec-jta to M3.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BD
        :
        
      Webapp context is now configurable when starting with the included Jetty webserver. Setting
      JAVA_OPTIONS=-Dcontext=blah/, for example will make the Cocoon webapp available at
      /blah/ instead of / which stays the default.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
      Update Rhino+continuations so that JavaScriptException has the same API as the official 1.6 version. This
      is allows to access location and nested exceptions for Cocoon stacktraces.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
      Complete refactoring of error handling in TraxTransformer and XSLTProcessor so that actual error messages
      are displayed rather than the useless RuntimeException usually reported by Xalan. These messages include
      both stylesheet compilation errors and warnings, and outputs of &lt;xsl:message terminate="yes"&gt;.
      
      Using this feature requires to change the XSTLProcessor class in cocoon.xconf to
      org.apache.cocoon.components.xslt.TraxProcessor.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
        :
        
      XSP block: Extend {#expr} interpolation parser to understand {}, "}", '}'
      as not being the closing brace.
      The previously implemented mechanism #} to escape braces within the
      statement is no longer supported.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      Added Cocoon stacktraces. This is based on location classes in the new org.apache.cocoon.util.location package
      and a refactoring of the exception management to attach locations to exceptions.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated hsqldb to 1.8.0.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
        :
        
      XSP block: Implement {#expr} interpolation also for logicsheets.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      New org.apache.cocoon.util.location package, providing utilities to track locations in XML documents and
      the objects built from these documents.
    </description></item>
    <item><title>MyProject  fix
          (bug 35618)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 35618)
        
        :
        
      Mail block: Allow any of the Cocoon-provided protocols to be used for attachments in SendMailTransformer.
      This means that "cocoon:" URLs are no more rewritten as external http requests.
     Thanks to Jean-Baptiste Quenot.</description></item>
    <item><title>MyProject  add
          (bug 35521)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 35521)
        
        :
        
      Added the empty: source than either generates empty documents
      or documents containing just a root node.
     Thanks to Mark Lundquist.</description></item>
    <item><title>MyProject  fix
          (bug 35457)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 35457)
        
        :
        
      Fix NPE in RequestGenerator when request.getHeaderNames() returns null.
     Thanks to Doug Bennett.</description></item>
    <item><title>MyProject  fix
          (bug 29506)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 29506)
        
        :
        
      Fix wrong caching behaviour in DirectoryGenerator.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Add easier to use event handling mechanism by introducing the new Receiver interface.
                    Deprecated Publisher, Subscriber, Filter and Register.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
        :
        
      Moved following components into core: TraversableGenerator, XPathTraversableGenerator (both from repository
      block), CSVGenerator (from scratchpad block), FragmentExtractorTransformer and FragmentExtractorGenerator
      (both from batik block).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
      XSLTAL block added, presentation templating transformer based on the Zope TAL syntax.
     Thanks to Christian Stocker.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BD
        :
        
      TraxTransformer: new default-src configuration parameter, used if src is not specified.
    </description></item>
    <item><title>MyProject  add
          (bug 28045)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
          (fixes bug 28045)
        
        :
        
      Added CookieModule as a more convinient way to access cookie values as {cookie:query}
      in alternative to {request:cookies[name='query']/value}.
     Thanks to Jon Evans.</description></item>
    <item><title>MyProject  add
          (bug 33388)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
          (fixes bug 33388)
        
        :
        
      Added parameter "show-cocoon-version" to web.xml for configuring whether X-Cocoon-Version
      response header should be sent.  Default is true.
      In a security paranoid environment you may want to set it to false in order to hide from
      the outside world which Cocoon version you are running.
     Thanks to Andrew Stevens.</description></item>
    <item><title>MyProject  add
          (bug 35228)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AN
          (fixes bug 35228)
        
        :
        
      XSP block: Added short-cut notation {#expr} for interpolation of
      XSP expressions in attribute values and text nodes.
      Removed wrapping of all text nodes from XSP source into &lt;xsp:text&gt;
      elements before passing them to logicsheets.
      (This feature was not used by the standard logicsheets but check your
      custom logicsheets whether they depend on it.)
     Thanks to Jochen Kuhnle.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Convert PortletPortalManager into portal manager aspect.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      CForms block: Make all WidgetValidatorBuilders ThreadSafe. Reset validation errors
                    before validating a field.
    </description></item>     
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Portal block: Add portal manager aspects for more flexible portal processing.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      CForms block: Add isValid() method to a Widget.
    </description></item>     
    <item><title>MyProject  add
          (bug 29817)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
          (fixes bug 29817)
        
        :
        
      POI Block: Added HSSFGenerator.
     Thanks to Patrick Herber.</description></item>
    <item><title>MyProject  add
          (bug 35435)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
          (fixes bug 35435)
        
        :
        
      Added getSitemapURIPrefix method to the Request interface.
     Thanks to Nico Verwer.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated commons-digester to 1.7, commons-lang to 2.1, xercesImpl to 2.7.0.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UH
        :
        
      Mail block: The SendMailTransformer can now configure the smtp port.
     Thanks to Johan Stuyts.</description></item>
    <item><title>MyProject  fix
          (bug 33097)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 33097)
        
        :
        
      Fixed reloading of the i18n catalogues (regression introduced in 2.1.7).
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UH
        :
        
      JMS block: Connection failures can now be recovered from. The default JMSConnectionManager implementation
      detects when JMS connections are severed and schedules reconnection attempts with the cron scheduler
      in order to re-establish the connection. As soon as reconnection was successful it notifies its listeners
      so that they may recover as well and refresh their JMS sessions. The provided abstract MessageListener
      and JMS publisher that users are recommended to use as base classes for their concrete JMS needs have been
      updated to use this mechanism.
     Thanks to Johan Stuyts.</description></item>
    <item><title>MyProject  add
          (bug 35364)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 35364)
        
        :
        
      Forms block: sqldatabase sample added, demonstrates "zero java code" editing of SQL data
      using the SQLTransformer.
     Thanks to Askild Aaberg Olsen.</description></item>
    <item><title>MyProject  fix
          (bug 35311)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 35311)
        
        :
        
      CForms block: Ensure FormHandler is always called when a field's value change.
     Thanks to Jeffrey Kirby.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RP
        :
        
      CForms block: The default HTML stylesheets have been moved into the jar packages. If they should
      be extended in custom stylesheets, import or include them using the resource protocol:
      &lt;xsl:include href="resource://org/apache/cocoon/forms/resources/forms-advanced-field-styling.xsl"/&gt;.
    </description></item>   
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RP
        :
        
      CForms block: The form and container widgets can take up ValidationErrors. As those widgets
      don't have a natural place where the error message should appear, the &lt;ft:validation-error id="[widget-id]"/&gt;
      has to be used. Currently this tag is only supported by the jxtemplate macro library.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
      Fix some multithreading issues when a background thread or cron job uses the "cocoon:" protocol, that
      caused the background request pipeline to be recycled by the parent thread during its execution.
      To use multiple threads to process a request (e.g. parallel include), background processing must use
      the org.apache.cocoon.environment.CocoonRunnable wrapper that ensures that the environment
      context of the main request is properly inherited by tasks running in the background.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Mail block: Make internal protocol handling for attachments in SendMailTransformer
      configurable and properly release all sources.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Move expires pipeline implementation out of the scratchpad.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
      Add setter action to set values in the object model, request or session.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated ant to 1.6.5.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      CForms block: add a new &lt;fd:true-param-value&gt; configuration to
      booleanfield definitions, to allow specifying a value different from "true"
      for the checkbox.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
      Set the content-length of a response when the pipeline buffers the content
      (which is the default).
    </description></item>
    <item><title>MyProject  fix
          (bug 32935)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
          (fixes bug 32935)
        
        :
        
      XSP Block: Double check and attempt again to load program object from cache.
      This avoids that simultaneous requests recompile the same XSP over and over again.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
      When receiving a multipart request, also add parameters given on the URL to the
      request parameters.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BD
        :
        
      EHDefaultStore.store throws more descriptive exception if key or value
      are not Serializable.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Cforms block: Caching selection list for best performance inside repeaters.
      Deprecate @dynamic in &lt;fd:selection-list&gt;
      in favor of @cache. Posible @cache values are:
      
        static =&gt; equivalent to old @dynamic="false"
        none =&gt; equivalent to old @dynamic="true"
        request =&gt; is new, similar to cache="none", but caching the selection list per request. Useful to improve performance inside repeaters.
      
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated ant to 1.6.4, batik to 1.6, db-ojb to 1.0.3.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
      CForms block: add automatic AJAX features. When &lt;ft:form-template&gt;
      has an ajax="true" attribute, partial page updates are performed rather
      than full page reloads.
    </description></item>
    <item><title>MyProject  fix
          (bug 32728)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32728)
        
        :
        
      SearchGenerator return has-previous false when meet the no. 2 page.
     Thanks to Thomas Scheithauer.</description></item>
    <item><title>MyProject  add
          (bug 25352)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 25352)
        
        :
        
      The new "annotations" namespace (http://apache.org/cocoon/sitemap/annotations/1.0)
      can be used to add information to sitemaps. The sitemap processor ignores this information,
      which can be used for documentation purposes.
     Thanks to Johan Stuyts.</description></item>
    <item><title>MyProject  fix
          (bug 32934)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AN
          (fixes bug 32934)
        
        :
        
      XSP Block: Race condition could lead to duplicate application of same logicsheet
      with spurious compilation errors or undefined runtime behaviour.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UC
        :
        
      CForms block: added CAPTCHA validator.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
      IncludeTransformer moved from the scratchpad into the core. It has following
      features:
      
        Supports caching, with configurable caching key.
        Supports parallel include processing in multiple threads.
        Included source URIs resolved relative to the document URI.
        Supports recursive include processing (includes in included files).
        Supports fallback element processing.
        Supports inclusion of files as text.
      
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
        :
        
      Enabled the synchronization on Cocoon's session wrapper by assuring that only
      one wrapper exists per servlet session.
    </description></item>
    <item><title>MyProject  fix
          (bug 25098)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 25098)
        
        :
        
      Databases: SQLTransformer: Support queries nested into insert/delete/update
      queries. Return number of rows updated by insert/delete/update queries as
      returncode element.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Databases: SQLTransformer: Each query can now have connection with own
      database connection configuration parameters. Queries with same configuration
      will share single database connection. You can force queries to create private
      connection using own-connection configuration parameter.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Databases: SQLTransformer: Each query can now have own output namespace and
      prefix. If desired output namespace already in use, existing prefix will be
      used.
    </description></item>
    <item><title>MyProject  fix
          (bug 27440)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 27440)
        
        :
        
      Databases: SQLTransformer: Support multiple nested queries within one query.
     Thanks to Philipp Matthias Hahn.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Databases: Changes in SQLTransformer:
      
        By default, output resulting XML using 'sql' namespace prefix.
        Accept non-namespaced attributes in the input XML,
        and prefer them over attributes in SQLTransformer namespace.
        Support configured namespace, instead of hardcoded value.
      
    </description></item>
    <item><title>MyProject  fix
          (bug 31634)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 31634)
        
        :
        
      Databases: SQLTransformer: Output attributes on rowset element with
      empty namespace.
     Thanks to Martin Holz.</description></item>
    <item><title>MyProject  fix
          (bug 25203)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 25203)
        
        :
        
      Databases: SQLTransformer: Avoid declaring duplicate namespaces.
    </description></item>
    <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
      Databases: Removed xml-encoding parameter from the SQLTransformer configuration.
      The latest SQLTransformer has no byte to character conversions.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated ant to 1.6.3.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      OJB Block: Added support for OJB 1.1.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      AbstractSAXTransformer gets transformer-factory configuration
      parameter.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      XMLFileModule gets cache-expressions configuration parameter.
    </description></item>
    <item><title>MyProject  fix
          (bug 33100)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 33100)
        
        :
        
      form(NOT_FOUND is not a function) error caused by wrong documentation.
     Thanks to Juan Jose Pablos.</description></item>
    <item><title>MyProject  fix
          (bug 34591)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 34591)
        
        :
        
      Fix ContextPathModule name in javadocs.
     Thanks to Jorg Heymans.</description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
       New JCR block that adds a "jcr:" protocol to access and modify repository contents.
    </description></item>
    <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
      New HTMLTransformer sample in html block.
    </description></item>
    <item><title>MyProject  fix
          (bug 34400)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 34400)
        
        :
        
      Faces Block: ValidateLongRangeTag, ValidateDoubleRangeTag should use long
      and double to set minimum and maximum, not int.
     Thanks to Markus Bussemer.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Fixed caching of a pipeline aggregating non cacheable pipelines via
      cocoon: protocol.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Stacktrace of the ResourceNotFound exception is logged only in DEBUG level,
      otherwise only exception message is logged.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
      Fix environment handling to allow the root sitemap to be at an abitrary location
      and not only in the main webapp context directory.
    </description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
      Updated excalibur-pool to 2.0.0, excalibur-datasource to 1.2.0.
      Fixes problem of database connections pools not coming up after
      database outage.
    </description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
      Updated groovy to 1.0-jsr-01, jdtcore to 3.0.2.
    </description></item>
    <item><title>MyProject  add
          (bug 34294)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 34294)
        
        :
        
      New set of automated tests based on HtmlUnit 
     Thanks to Alfred Nathaniel.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Add support for namespaced XML elements to the JXPath based input
      modules (includes JXPathMetaModule, XMLFileModule, and others).
    </description></item>
    <item><title>MyProject  fix
          (bug 34325)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 34325)
        
        :
        
      XInclude transformer does not handle fallback correctly.
     Thanks to Joachim Breitsprecher.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
      Deprecate EventRecorder (in o.a.c.t.helpers package). It will be
      removed starting with Cocoon 2.2.
    </description></item>
    <item><title>MyProject  fix
          (bug 26107)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 26107)
        
        :
        
      XSP Block: Note in the documentation that XSP namespace must be declared
      on the xsp:page element.
    </description></item>
    <item><title>MyProject  fix
          (bug 33963)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 33963)
        
        :
        
      Fix NPE in DOMStreamer.stream().
     Thanks to John Yonosh.</description></item>
    <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Portal block: Make portal manager available through portal component manager.
    </description></item>
  
  
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated hsqldb to 1.7.3.3.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Fix caching of i18n bundles with expires validities.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Implemented error handling for the internal requests. Error handling for
     internal requests can be configured using the when attribute
     on the handle-errors element. Supported values for
     when attribute are: 
     external: This error handler should be used only on
     external requests (default);
     internal: This error handler should be used only on
     internal requests;
     always: This error handler can be used for all
     requests.
     
     Currently, if internal error handling is enabled, only the inner most
     error handler will be used for errors which happened during internal
     pipeline processing. See samples for usage details.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Sitemap now properly throws ResourceNotFound exception for not matched
     requests even if last pipeline marked as an internal pipeline.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Sitemap handle-errors now reports an error if generator is missing, or
     if type attribute (deprecated) specified and generator is present.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated quartz to 1.4.5, jcs to 1.2.5-dev-20050313.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     Refactored the Deprecation class: the "forbidden-deprecation-level" parameter in web.xml
     allows to raise deprecation exceptions depending on the log level. For example, DEBUG
     allows no deprecations (strict mode), and FATAL_ERROR allows all (tolerant mode).
     Default is ERROR, allowing messages up to WARN.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     A flowscript's file encoding can now be specified by a comment on the script's
     very first line, in the form "// encoding = xxxx". Otherwise, the
     default platform encoding is used.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JQ
        :
        
     Added QueryBean as a standalone block, copied over from 2.2.0. Removed
     the original from the Lucene Block. Stores Favourites using OJB in HSQLDB.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     CForms: separate FormattingDateConvertor that uses
     java.text.SimpleDateFormat and Icu4jDateFormatter
     that uses ICU4J. There was previously an automatic switch to ICU4J if the
     library was present in the classpath, which sometimes caused some strange
     results as it behaves a bit differently.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BD
        :
        
     Tour block: fix "shapes" sample using if/else in flowscript
     instead of switch.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Build: Added exclude.all.blocks and include.all.blocks properties
     to quickly toggle all blocks on or off.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated antlr to 2.7.5, groovy to 1.0-beta-10, jetty to 4.2.23
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     OJB Block: Marked as stable.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        all
        :
        
    Make Cocoon compilable and buildable using JDK 5.0.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Remove scratchpad block - the scratchpad area is only available in trunk.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Deprecated Pizza compiler support in XSP. To be removed in Cocoon 2.2.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     CForms: JavaSelectionList implementations can now be Contextualizable and
     can build SelectionLists with XMLizable labels.
   </description></item>
   <item><title>MyProject  fix
          (bug 10277)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 10277)
        
        :
        
     Change the mime-type setting of a reader. See also bug #25121.
   </description></item>
   <item><title>MyProject  fix
          (bug 33836)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        LG
          (fixes bug 33836)
        
        :
        
     Fix thread safety problem in JXTemplateGenerator.setup() concerning template script reparsing.
    Thanks to Niklas Therning.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        LG
        :
        
     Polish i18n for CForms.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     OJB Block: Renamed JdoPMF component to JDO, OdmgImplementation to ODMG, and
     removed PBFactory component - please use OJB PersistenceFactory API directly.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Runnable Manager: Fix bug preventing scheduling of two different jobs at the same time.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Many changes in CForms block.
     
     Widgets:
     
       add Widget.getDefinition() to access the definition that was used to create the widget.
       make widget definitions immutable once setup. This is necessary with the previous change as a definition
           is shared by all of the widgets it creates and modifying it could lead to weird behaviors.
       new "output" widget state, where values are displayed but not read on the request. The difference with
           "disabled" is that "output" widgets are displayed as plain text and not as disabled inputs.
       add on-create event listeners that are called when a widget is created.
       deprecate "struct" in favor of "group" in definition, template and binding. More work is needed on the
           relation between ft:group and fi:group provided by forms-page-styling.xsl
     
     
     Field:
     
       a field's selection list can be removed by setting it to null. This previously re-installed the widget
           definition's selection list.
       a field can have an optional initial value defined using &lt;initial-value locale="..."&gt;...&lt;/initial-value&gt;.
           The "locale" attribute is used to convert the value text into an object as defined by the datatype's convertor.
           This feature is also available on AggregateField and BooleanField (for which locale is useless).
     
     
     Form.js :
     
       added "fun" and "ttl" parameters to Form.showForm(), which now has the exact
           same parameters as cocoon.sendPageAndWait().
       the argument of new Form(...) can now be either a String or a DOM Element.
           Accepting an Element allows the use of any kind of dynamic process to build the form
           definition.
       Form.showForm() now uses a single continuation, which saves memory and speeds
           up processing by shortening the continuation chain when the user has a long interaction
           with the form.
       "ttl" parameter added to Form.showForm(), which has the same meaning as for cocoon.sendPageAndWait().
       new "cleanupHook" property on Form: this is a function that is called each time the form is displayed.
           This is similar to the "fun" parameter of cocoon.sendPageAndWait().
       new "restoreHook" property on Form: this is a function that is called each time the continuation is called back,
           to restore if needed the execution environment before processing the request.
     
     
     Actions:
     
       the "action-command" attribute is deprecated and replaced by "command" which is now optional, except on
           repeater-action and row-action where it indicates what to do.
       new "insert-rows" repeater-action that insert new rows before the selected rows in a repeater
     
     
     Styling: styling "output" is deprecated and will be removed in 2.1.8. The "output" widget state should be
     used instead.
   </description></item>
   <item><title>MyProject  add
          (bug 30417)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
          (fixes bug 30417)
        
        :
        
     Added best-fit-while-keeping-aspect-ratio option to the ImageReader
   </description></item>
   <item><title>MyProject  fix
          (bug 33319)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 33319)
        
        :
        
     Resource Reader: Make sure response is cacheable when expires parameter is not set.
    Thanks to Adam Ratclife.</description></item>
   <item><title>MyProject  add
          (bug 28973)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
          (fixes bug 28973)
        
        :
        
     Mail Block: Add support for replyTo.
    Thanks to Andrew Thornton.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UV
        :
        
     CocoonBean can now process a URL to a SAX ContentHandler (skipping the serialiser), via cocoon.process(uri, handler).
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     OJB Block: Integrated OJB logging with Cocoon logging.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Add a deprecation logger that gives hint about used deprecated stuff.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-transaction to 1.0.1, castor to 0.9.6, groovy to beta-9, quartz to 1.4.4.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     Remove restrictions on the flowscript object model (FOM): the objects available through the
     cocoon object (request, session, response, etc) now provide the full API of the
     corresponding Java classes.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     CForms: forms generator and template transformer now use the same object model as the JXTG: access
             to objects have to use the "cocoon" object, like "cocoon/continuation/id".
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RP
        :
        
     hsqldb: make name and path of database parameterizable - this way the database can be located outside of Cocoon
   </description></item>
   <item><title>MyProject  fix
          (bug 32987)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 32987)
        
        :
        
     Apply patch for a better exception handling in the Meta-InputModule when an input module is not found.
    Thanks to Michal Durdina.</description></item>
   <item><title>MyProject  fix
          (bug 33097)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 33097)
        
        :
        
     Fixed caching of i18n bundles when using multiple locations.
   </description></item>
   <item><title>MyProject  fix
          (bug 33178)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 33178)
        
        :
        
     Fix handling of environment context when returning from a pass-through sitemap mount.
    Thanks to Jean-Baptiste Quenot.</description></item>
   <item><title>MyProject  add
          (bug 33287)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 33287)
        
        :
        
     Portal Block: Add portal tools framework contribution.
    Thanks to Jens Maukisch.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Build system: External blocks can be built together with Cocoon.
   </description></item>
   <item><title>MyProject  fix
          (bug 33091)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 33091)
        
        :
        
     Refreshing a page with a JSR-168 portlet in it could cause unexpected results. JSR-168 urls can
     now be configured to contain the data required to generated the required events.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
     Add &lt;compiler-compliance-level&gt; parameter for java XSP compiler.
     This new parameter allow to specify the java code source version used to compile the XSP code.
     It is useful to run cocoon using java 1.5 while using source code for 1.4.
     Posible values:
           1.3 = Java version 1.3
           1.4 = Java version 1.4
           1.5 = Java version 1.5
           auto = The version of the JVM where cocoon is running. (Default value).
          
     NOTE: The parameter is optional to keep backward compatibility.
           The parameter currently works only with Sun Javac compiler.
           The eclipse compiler version 3.0.1 currently does not support java 1.5.
           The pizza compiler does not support java 1.5.
   </description></item>
   <item><title>MyProject  fix
          (bug 32838)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 32838)
        
        :
        
     PageLabel url's were not properly encoded.
    Thanks to Roy Huang.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated quartz to 1.4.3, nekodtd to 0.1.11, nekohtml to 0.9.4
     castor to 0.9.5.4, commons-digester to 1.6, groovy to 1.0-beta-8, asm to 1.5.2
     and asm-util to 1.5.2.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
     Added commons-transaction 1.0 and commons-codec 1.3. Both are needed by slide 2.1.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated jakarta-slide-webdavlib to 2.1, jdom to 1.0, slide-kernel to 2.1, slide-stores to 2.1, slide-webdavservlet to 2.1.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RG
        :
        
     Portal now allows Cocoon to be deployed as a war (only supports local JSR-168 portlets) and 
     allows external portlets to be in a war.
   </description></item>
   <item><title>MyProject  fix
          (bug 31668)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 31668)
        
        :
        
     CForms: the parser used to read form files now uses the EntityResolver defined in cocoon.xconf.
   </description></item>
   <item><title>MyProject  fix
          (bug 32620)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32620)
        
        :
        
     Tiny typo in AbstractTextSerializer
    Thanks to Micah Dubinko.</description></item>
   <item><title>MyProject  fix
          (bug 32645)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 32645)
        
        :
        
     Modified PortletURLProviderImpl.toString() to create a copy of itself and register that with the event.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        LG
        :
        
     ContinuationsManager default implementation can now store continuations in user session. 
     Continuations are not available outside user session and invalidated automatically 
     when session gets invalidated by servlet container. This is a good security option for web applications. 
   </description></item>
   <item><title>MyProject  fix
          (bug 32083)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32083)
        
        :
        
     Update Deli to x031104 (include over 300 vendor, operator and third party profiles)
    Thanks to Mark H. Butler.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated hsqldb to 1.7.3, lucene to 1.4.3, ehcache to 1.1, log4j to 1.2.9.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
        :
        
     Paranoid: make the classloader implementation configurable
   </description></item>
   <item><title>MyProject  fix
          (bug 32408)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32408)
        
        :
        
     Typo on the date-selector doc.
    Thanks to Juan Jose Pablos.</description></item>
   <item><title>MyProject  fix
          (bug 30043)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 30043)
        
        :
        
     xml2html.xslt does not work on IE.
    Thanks to Micah Dubinko.</description></item>
   <item><title>MyProject  fix
          (bug 32417)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 32417)
        
        :
        
     Portal: attributes "javax.portlet.request" and "javax.portlet.response" were not set for JSR-168
     portlets running in the Cocoon webapp.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RP
        :
        
    CForms: added HTMLCleaning convertor (taken from Outerthought's Daisy) that cleans
            up the result by HTMLArea fields. The cleanup process, that is based upon
            Nekohtml can be configured. One confiugration is available at
            resource://org/apache/cocoon/forms/datatype/convertor/HtmlCleanerConfiguration.xml
            and guarantees valid XHTML
     
     Example:
     
&lt;fd:datatype base="string"&gt;
  &lt;fd:convertor type="htmlcleaner"
      config="resource://org/apache/cocoon/forms/datatype/convertor/HtmlCleanerConfiguration.xml"/&gt;
&lt;/fd:datatype&gt;
     
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RP
        :
        
    CForms: 'htmlarea' fields can be directly configured in cForms templates
    
    Example configuration (within the &lt;conf&gt; part the variable conf contains
    the configuration object of HTMLArea
    
&lt;fi:styling type="htmlarea" rows="8" style="width:100%"&gt;
  &lt;conf&gt;
    conf.statusBar = false;
    conf.sizeIncludesToolbar = false;
    conf.fullPage = false;
    conf.toolbar = [
      [ "bold", "italic", "separator",
        "subscript", "superscript", "separator",
        "insertorderedlist", "insertunorderedlist",
        "outdent", "indent", "separator",
        "inserthorizontalrule", "separator",
        "copy", "cut", "paste", "space", "undo", "redo",
        "separator", "showhelp"]
      ];
  &lt;/conf&gt;
&lt;/fi:styling&gt;
    
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RP
        :
        
     CForms: fields styled as 'htmlarea' can be used in tables (workaround for strange IE behaviour)
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     CForms: add a new "link" styling for action widgets, that renders the action
     as an hypertext link.
   </description></item>
   <item><title>MyProject  update
          (bug 28360)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RG
          (fixes bug 28360)
        
        :
        
     DateInputModule now accepts date format string when specified in a sitemap.
    Thanks to Nico Verwer.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RG
        :
        
     Portal: Added support for storing JSR-168 Portlet preferences.
   </description></item>
   <item><title>MyProject  fix
          (bug 32342)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 32342)
        
        :
        
     Batik block: Fixed handling for empty extract URIs when matching on null
     namespace URIs.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GP
        :
        
     Allow attribute values to be matches as well for EncodeURLTransformer.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
     Multipart requests: use container encoding for decoding requests, in order to have consistent
     handling between normal requests and multipart requests.
   </description></item>
   <item><title>MyProject  fix
          (bug 31887)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 31887)
        
        :
        
     I18n (ParamSaxBuffer): handle case where substitution params like {0} are split over multiple character events.
    Thanks to Neil Bacon.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        LG
        :
        
     Fix: Continuation can only be invoked for the interpreter it was originally created for.
   </description></item>
 
 
   <item><title>MyProject  fix
          (bug 23118)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 23118)
        
        :
        
     Lucene: SearchGenerator incorrectly counts previous-index. Reported by: Tomasz Nowak (tnowak-p@netventure.pl)
    Thanks to Jorg Heymans.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated iText to 1.1.
   </description></item>
   <item><title>MyProject  fix
          (bug 32011)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32011)
        
        :
        
     Fix: buildList() in AbstractDatabaseAction generates incorrect parameter list.
    Thanks to wchao@yahoo.com.</description></item>
   <item><title>MyProject  fix
          (bug 32124)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32124)
        
        :
        
     Fix: Webmail sample broken.
    Thanks to Leo Leonid.</description></item>
   <item><title>MyProject  fix
          (bug 32214)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 32214)
        
        :
        
     Fix: Context directory not required to be writable by the CLI.
    Thanks to Rick Tessner.</description></item>
   <item><title>MyProject  fix
          (bug 32199)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 32199)
        
        :
        
     Portal: If a coplet has an error, the error-uri has been called twice. This is fixed now.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     Flowscript: Deprecated support for passing sitemap parameters into flowscript
     function as positional arguments. Use cocoon.parameters instead. Support will
     be removed completely in Cocoon 2.2.
   </description></item>
   <item><title>MyProject  fix
          (bug 32159)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 32159)
        
        :
        
     Portal: Request content length and content type are required in portlet ActionRequest
     for custom upload handling.
    Thanks to Michal Durdina.</description></item>
   <item><title>MyProject  add
          (bug 31857)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RG
          (fixes bug 31857)
        
        :
        
     Portal: Added support for page labels.
   </description></item>
   <item><title>MyProject  fix
          (bug 31854)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RG
          (fixes bug 31854)
        
        :
        
     Javaflow: JavaInterpreter initialize method was not thread safe.
   </description></item>
   <item><title>MyProject  add
          (bug 31229)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RG
          (fixes bug 31229)
        
        :
        
     Portal: Generate subnavigation for non-selected tabs.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Scratchpad block: Restored CastorTransformer support for context beans,
     restored bean lookup logic, fixed sample.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
     The CocoonBean now creates its own private logger hierarchy, thus avoiding to
     pollute the CocoonServlet hierarchy when called in that context (e.g. when
     generating a static site from a CMS).
   </description></item>
   <item><title>MyProject  add
          (bug 31760)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GP
          (fixes bug 31760)
        
        :
        
     Added replacement for Excalibur Event package in
     org.apache.cocoon.components.thread and migrated most classes using their own
     threads to that package.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated antlr to 2.7.4, db-ojb to 1.0.1.
   </description></item>
   <item><title>MyProject  fix
          (bug 31297)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 31297)
        
        :
        
     Javaflow block: Support inherited methods.
    Thanks to Nikolaus Rath.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
        :
        
     Javaflow block: Add parameter support.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     CForms block: added widget states. All widgets can now have an "active" (default), "disabled" or "invisible"
     state. Updated the stylesheets accordingly to use HTML's disabled inputs.
   </description></item>
   <item><title>MyProject  fix
          (bug 29945)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 29945)
        
        :
        
     Scratchpad block: BetwixtTransformer: removed deprecation warning with
     latest betwixt.
    Thanks to Christoph Gaffga.</description></item>
   <item><title>MyProject  fix
          (bug 25951)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 25951)
        
        :
        
     Flowscript: enforce the explicit declaration of variables in the global
     scope (attached to the session). This avoids the implicit declaration of
     variables in the global scope when the 'var' keyword is missing, which
     leads to weird bugs difficult to track down, especially with continuations.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        ATC
        :
        
     Deprecated the PHP block since the PHP servlet the generator depends on
     never worked properly. Explicitly excluded the PHP block from blocks.properties.
   </description></item>
   <item><title>MyProject  fix
          (bug 27176)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 27176)
        
        :
        
     XSP Block: Add space="strip" attribute support for &lt;xsp:page&gt;
     element. When present, all extra whitespace from XSP source is stripped.
    Thanks to Guillaume Deflache.</description></item>
   <item><title>MyProject  fix
          (bug 30849)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 30849)
        
        :
        
     XMLDB Block: Fix NullPointerException in XMLDBTransformer if specified
     collection does not exist.
   </description></item>
   <item><title>MyProject  fix
          (bug 31564)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 31564)
        
        :
        
     XSP - JXPath logicsheet: Allow use relative contexts in &lt;jxpath:for-each&gt;.
           Add a new tag &lt;jpath:set-lenient lenient="true|false"&gt;.
    Thanks to Gunnar Brand.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-httpclient to 2.0.2, groovy to 1.0-beta-7, commons-betwixt to 0.6.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Flow invocations (function calls or continuation invocations) should always
     result in a response. Flowscripts with no response are prohibited.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Portal block: Apply batch for configuring the type handling in the Castor converter.
    Thanks to Juergen Seitz.</description></item>
   <item><title>MyProject  fix
          (bug 30250)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 30250)
        
        :
        
     Fix bug in SessionPropagatorAction.
    Thanks to Sal Mangano.</description></item>
   <item><title>MyProject  fix
          (bug 22707)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 22707)
        
        :
        
     Fix syntax error in build.bat on Windows ME.
    Thanks to Jeff Ramsdale.</description></item>
   <item><title>MyProject  fix
          (bug 29996)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 29996)
        
        :
        
     Portal block: Apply patch for rendering a link of the selected tab in TabContentAspect.
    Thanks to Christian Mayrhuber.</description></item>
   <item><title>MyProject  fix
          (bug 29951)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 29951)
        
        :
        
     Portal block: Apply patch for handling GET method when no enctype is set in CopletTransformer.
    Thanks to Christian Mayrhuber.</description></item>
   <item><title>MyProject  fix
          (bug 31545)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 31545)
        
        :
        
     Throw a more meaningful exception if charset classes are missing.
   </description></item>
   <item><title>MyProject  fix
          (bug 30874)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 30874)
        
        :
        
     Fixes the SQLTransformer not to close the statement twice.
   </description></item>
   <item><title>MyProject  fix
          (bug 30994)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 30994)
        
        :
        
     Change constructor to be public in order to fix bug 30270.
   </description></item>
   <item><title>MyProject  add
          (bug 29715)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 29715)
        
        :
        
     Forms block: added possibility to add a SelectionList based on Java.
    Thanks to Nuno Santos.</description></item>
   <item><title>MyProject  fix
          (bug 28680)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 28680)
        
        :
        
     HTML serialization has no space between publicId and systemId.
     Updated xalan to 2.6.1-dev-20041008T0304.
    Thanks to David Crossley.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Scratchpad block: Implemented support of parallel loading of included
     sources in the IncludeTransformer.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-lang to 2.0-20041007T2305. Needed for Java 5 compatibility (enum is a keyword).
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated jdt-core to 3.0.1.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Faces block: Added JSF CarStore demo.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Flow preserves global variables on sitemap reload.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Forms block: Implementation of the CForm template language using JX macros,
     allowing smart page layout that depends on the widgets state and value.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        AG
        :
        
     Remove jisp from distribution.
   </description></item>
   <item><title>MyProject  fix
          (bug 31493)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 31493)
        
        :
        
     XSP logicsheet jpath.xsl: incorrect call to JXPathContext.compile.
    Thanks to Rob Berens.</description></item>
   <item><title>MyProject  fix
          (bug 28485)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 28485)
        
        :
        
     Mail block: Support multiple SMTP servers, not only default one.
   </description></item>
   <item><title>MyProject  fix
          (bug 24760)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 24760)
        
        :
        
     Mail block: Add support for authenticated SMTP server connections.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Cron block: JobScheduler's fireJob method now supports jobs calling Cocoon
     pipelines.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Allow recursive Flow invocations with processPipelineTo.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
     Forms block: rename fd:on-activate to fd:on-action on
     fd:row-action and fd:repeater-action for consistency
     with fd:action and fd:submit.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Cache the mime-type of readers and serializers.
   </description></item>
   <item><title>MyProject  fix
          (bug 30372)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 30372)
        
        :
        
     The daylight time cause error when timezone is CST. Updated icu4j to 3.0.
    Thanks to Johnson Hsu.</description></item>
   <item><title>MyProject  fix
          (bug 31407)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 31407)
        
        :
        
     Upgrading DELI block from version 0.9.8 to x020904.
    Thanks to Mark H. Butler.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Add support for translating attribute values which contain i18n expressions
     rather than complete i18n key.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Forms block: allow widget attributes which were only accessible programmatically
     to be set in the form definition. This allows e.g. generic form processing code
     to find widgets having a particular attribute.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     Mail block: the MailSender now gets its source resolver from the service manager.
     This allows its use from flowscript where the old SourceResolver is not available.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     AbstractSAXTransformer namespaceURI and defaultNamespaceURI must never
     be null. When extending AbstractSAXTransformer make sure to set
     defaultNamespaceURI in the constructor.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Faces block: Initial implementation of JavaServer Faces for Cocoon.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Taglib block: Initial implementation of BodyTag.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Portal block: Changed pathInfo and servletPath logic. pathInfo always starts
     with '/', while servletPath always has no '/' at the end.
   </description></item>
   <item><title>MyProject  fix
          (bug 31134)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 31134)
        
        :
        
     JXPathMetaModule incorrectly checks for null parameter (can't happen)
     instead of empty string.
    Thanks to Ralph Goers.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Cron block: Fixed memory leak, QuartzJobExecutor was not releasing pipelines.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated jexl to 1.0, lucene to 1.4.1.
   </description></item>
   <item><title>MyProject  add
          (bug 30321)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        DC
          (fixes bug 30321)
        
        :
        
     Selector for matching the request headers using a regular expression.
     Simple content negotiation, e.g. serve XHTML if browser indicates it
     accepts application/xhtml+xml and HTML otherwise; potentially do
     automatic i18n according to the accept-language header.
    Thanks to Colin Adams.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        NKB
        :
        
     New @pass-through attribute for the sitemap mount node.
     If true, processing will resume in the base sitemap just after the mount node
     if the mounted sitemap has not already generated output (usually if no match
     is found). Previous behaviour was always to throw a ResourceNotFoundException.
     The attribute defaults to "false" for backwards compatibility.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Portal block: New Group Based Profile Manager.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Cron block: Add support for persistent job stores, type "tx" and "cmt".
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Cron block: Fix TestCronJob pipeline call functionality.
   </description></item>
   <item><title>MyProject  fix
          (bug 30065)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 30065)
        
        :
        
     GetInstance don't work with upgrade from db-ojb-1.0rc6.
    Thanks to Johnson Hsu.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated rhino to 1.5r4-20040629T1232,
     xreporter-expression to 20040701, ehcache to 0.9.
   </description></item>
   <item><title>MyProject  fix
          (bug 26854)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 26854)
        
        :
        
     A redirect is now possible, if it's called from flow. This also fixes bug #26571.
   </description></item>
   <item><title>MyProject  add
          (bug 30688)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 30688)
        
        :
        
     Mail block: Add ability to specify mime-type for email body text parameter in the mail transformer.
    Thanks to John Lianoglou.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     Fix potential memory leaks in CForms/Woody Template Transformer and JXTemplateGenerator.
   </description></item>
   <item><title>MyProject  fix
          (bug 29765)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 29765)
        
        :
        
     XMLDB Block: Add ability to delete collections with XMLDBTransformer.
    Thanks to Rui Alberto L. Gonçalves.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Reworked LocaleAction and LocaleMatcher to have similar logic and
     configuration.
     NOTE: Sitemap variable "lang" renamed to
     "language", removed configuration parameters: "language-attribute",
     "country-attribute", "variant-attribute".
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UV
        :
        
     Added LocaleMatcher for file based internationalization.
   </description></item>
   <item><title>MyProject  fix
          (bug 27260)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27260)
        
        :
        
     Make implementation of Cocoon protocol compliant with the Source interface.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update ant to 1.6.2, commons-jxpath to 1.2, commons-beanutils to 1.7,
     POI to 2.5.1-final-20040804, commons-httpclient to 2.0.1, nekohtml to 0.9.3,
     hsqldb to 1.7.2, jcs to 1.1-dev-20040811, quartz to 1.4.2, asm to 1.4.3,
     asm-util to 1.4.3 and groovy to 1.0-beta6.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     Mail block: The mail transformer ignored configured toAddresses from a
     pipeline parameter. This is fixed now.
   </description></item>
   <item><title>MyProject  fix
          (bug 28209)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 28209)
        
        :
        
     Fixing BetwixtTransformer does not marshal Collections properly (java.lang.OutOfMemoryError).
    Thanks to Enrico Maccias.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update qdox to 1.5 and jdt-core to 3.0.0.
   </description></item>
   <item><title>MyProject  fix
          (bug 30038)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 30038)
        
        :
        
     Fixing lucene-block samples dependencies.
    Thanks to Jorg Heymans.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update lucene to 1.4.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UH
        :
        
     Enhanced JMS support by adding a JMSConnectionManager component to the JMS block.
     This component replaces the JMSConnection component which only supported
     publish/subscribe messaging and which mixed some concerns. Two abstract classes:
     AbstractMessageListener and AbstractMessagePublisher should be used as basis for
     custom publish/subscribe components.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UH
        :
        
     Still in the scratchpad area at the time of this writing, added a
     CachedSource proxy subclass for Sources that implement TraversableSource and
     InspectableSource (for instance WebDAVSource).
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UV
        :
        
     Added a NekoHTMLGenerator to HTML block. This is a simpler HTML parser than
     JTidy, which preserves more of the original HTML, primarily just balancing
     closing tags.
   </description></item>
   <item><title>MyProject  add
          (bug 29935)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
          (fixes bug 29935)
        
        :
        
     Added support for stripping root elements in the CIncludeTransformer.
    Thanks to Leszek Gawron.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Portal block: Added ManagedCocoonPortlet, to be used together with
     CocoonServlet or CocoonPortlet.
   </description></item>
   <item><title>MyProject  add
          (bug 28015)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
          (fixes bug 28015)
        
        :
        
     POI block: cell spanning.
    Thanks to Frank Taffelt.</description></item>
   <item><title>MyProject  fix
          (bug 23002)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 23002)
        
        :
        
     POI block: processing of tags "vcenter", "hcenter", "monochrome", "draft",
     "Header", "Footer" in "gmr:PrintInformation". Initial support for
     "Margins" ("top", "bottom", "left", "right", "header", "footer").
   </description></item>
   <item><title>MyProject  fix
          (bug 23002)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 23002)
        
        :
        
     POI block: processing of tags "grid", "orientation and "paper" in
     "gmr:PrintInformation".
    Thanks to Viktor Skladovs.</description></item>
   <item><title>MyProject  fix
          (bug 24433)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 24433)
        
        :
        
     Fix JXTemplate generator does not handle format-number(number, '$#,##0.00').
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
        :
        
     Forms block: Implement setValue method for the upload widget.
   </description></item>
   <item><title>MyProject  fix
          (bug 29881)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 29881)
        
        :
        
     Forms block: Handle variants of datatype date correctly (i18n, styling).
    Thanks to Colin Adams.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update commons-digester to 1.5, commons-betwixt to 0.5, commons-pool to 1.2,
     commons-dbcp to 1.2.1 and db-ojb to 1.0.0.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update commons-collections to 3.1.
   </description></item>
   <item><title>MyProject  fix
          (bug 27133)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 27133)
        
        :
        
     Fix JXTemplateGenerator eating backslash characters.
   </description></item>
   <item><title>MyProject  fix
          (bug 25083)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 25083)
        
        :
        
     Add new &lt;jx:comment&gt; tag to the JXTemplate. XML comments are not
     parsed anymore. See the bug description for a sample.
   </description></item>
   <item><title>MyProject  fix
          (bug 29369)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 29369)
        
        :
        
     Move commons-logging-1.0.4.jar to lib/core as jcs.jar depends on it.
    Thanks to Juan Jose Pablos.</description></item>
   <item><title>MyProject  fix
          (bug 17924)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 17924)
        
        :
        
     Apply patch: Cached resources don't have Expires-Header.
    Thanks to Jorg Heymans.</description></item>
   <item><title>MyProject  fix
          (bug 29752)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 29752)
        
        :
        
     Apply patch: Caching JXTemplateGenerator.
    Thanks to Leszek Gawron.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     ResourceReader can now take configuration elements, parameters
     are deprecated.
   </description></item>
   <item><title>MyProject  fix
          (bug 25712)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 25712)
        
        :
        
     Fix byte ranges support in ResourceReader.
    Thanks to Litrik De Roy.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Portal: CocoonPortlet has new configuration parameter,
     default-session-scope.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-logging to 1.0.4
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     NamingInputModule provides access to the JNDI context.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated quartz to 1.4
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Add configuration support for log4j.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        ATC
        :
        
     New Input modules: URLEncodeModule and URLDecodeModule
    Thanks to Leszek Gawron.</description></item>
   <item><title>MyProject  fix
          (bug 27066)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27066)
        
        :
        
     Apply patch to fix some memory leaks in the tree processor.
   </description></item>
   <item><title>MyProject  fix
          (bug 29373)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 29373)
        
        :
        
     Portal: Fix NPE when non-caching pipelines are used for the portal profile.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     Portal: Fix transformation of non-external html links (HTMLEventLinkTransformer)
   </description></item>
   <item><title>MyProject  fix
          (bug 28687)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 28687)
        
        :
        
     Portal: Fix problem with bookmarks and CachingURICoplet
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     A new build property, "include.sources-in-jars", allows to include java
     source files in jar archives. Useful when using a non-released version
     to know what sources are used.
   </description></item>
   <item><title>MyProject  fix
          (bug 27249)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 27249)
        
        :
        
     Refactor TreeProcessor to avoid constant reloading of sitemap if its
     modification date is in the future and occasional ECM-related exceptions
     when a sitemap is reloaded.
   </description></item>
   <item><title>MyProject  add
          (bug 28834)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 28834)
        
        :
        
     Tour block: added Java shapes sample.
    Thanks to Stavros Kounis.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Groovy to 1.0-beta5, qdox to 1.4 and util.concurrent to 1.3.4.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
        :
        
     Serializers block: Fixed the namespace handling of the XMLSerializer.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
        :
        
     Serializers block: Added support for indentation to the XMLSerializer.
   </description></item>
   <item><title>MyProject  update
          (bug 28809)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        DC
          (fixes bug 28809)
        
        :
        
     Chaperon block: Improvements for Chaperon JSPWiki to xdocs conversion:
     
       Handle nested bullet lists (number lists already supported)
       If 'name' parameter is specified, use it as title (and add spaces between
           WikiWords) instead of first section title
       Handle images with alt text
       'spaceless-filenames' parameter will squash out spaces in relative
           links
       Fix anchors to use 'id' instead of 'name'
       Emphasize anchors a bit
       selftest.txt tests for lists and tables
       More known issues listed in selftest.txt
     
    Thanks to Dave Brondsema.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Added instrumentation support to ContinuationsManager.
   </description></item>
 
 
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     The store/caching system now uses JCS instead of Jisp.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     The persistent store is now really persistent between two application runs. (Fixed
     a bug in the hash code calculation of the keys).
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Apache JCS to 1.0 dev 20040516 and util.concurrent to 1.3.3.
   </description></item>
   <item><title>MyProject  add
          (bug 28860)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 28860)
        
        :
        
     Extended CocoonServlet to allow any
     org.apache.avalon.excalibur.logger.LoggerManager
     to be used.
    Thanks to Ralph Goers.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        MPO
        :
        
     Deprecated getWidget from the Widget interface in cforms.
     People should consider using getChild(id) or lookupWidget(path) instead.
     On the level of the flowscript 'Form' API a semantical distinct getWidget()
     (notice: no arguments!) is still available to return the actual wrapped
     Java form instance.
   </description></item>
   <item><title>MyProject  fix
          (bug 28889)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 28889)
        
        :
        
     Fixed jetty-4.2.19.jar compiled for +jdk1.4. The new version can run in 1.3
    Thanks to Juan Jose Pablos.</description></item>
   <item><title>MyProject  fix
          (bug 27871)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 27871)
        
        :
        
     Fixed missing escapes of line feeds, carriage returns and tabs, that resulted
     in invalid Java code.
    Thanks to Michal Durdina.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Joost to 20040330
   </description></item>
   <item><title>MyProject  add
          (bug 28424)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 28424)
        
        :
        
     RequestListener hook added, that is called before and after a request is processed.
    Thanks to Ralph Goers.</description></item>
   <item><title>MyProject  update
          (bug 28704)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        DC
          (fixes bug 28704)
        
        :
        
     Enable XConfToolTask to modify multiple attributes. See the bug report
     for description of use. Also enable suppression of comments.
    Thanks to Ralph Goers.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UV
        :
        
     Extended FOM so that cocoon.redirectTo("url", true) will do a global
     redirect. cocoon.redirectTo("url") will act as before. This enables
     FOM to redirect when it is called from within cocoon: protocol
     requests, aggregations, etc.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        UV
        :
        
     Moving check on number of specified targets within CocoonBean. This was
     preventing the processURI(uri, outputStream) method from working.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     CForms: Remove custom flow level forms validators.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
     Added the "tour" block: "Supersonic Tour of Apache Cocoon".
     Tutorial/example app focused on the Power Trio: Pipelines, Flow, Forms.
   </description></item>
   <item><title>MyProject  fix
          (bug 27878)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        DC
          (fixes bug 27878)
        
        :
        
     XMLResourceBundleFactory was stopping when it encountered the first
     bundle name that does not have a locale, missing those that might be
     in one of the other locations.
    Thanks to Ralph Goers.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
     Moved storage of all flow-related data (viewData, continuation, request, etc) from request
     attributes to object model entries. This allows a view called by sendPage() to also use
     flowscript (using request attributes caused the two calls to mix up their data).
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
        :
        
     Hopefully fixed the source resolving in JSP components finally by using
     standard Cocoon/Avalon Excalibur source resolving. This allows to use all
     known protocols and Cocoon pseudo protocols as long as the JSP file is
     inside the servlet's context.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        MPO
        :
        
     CForms: Change to generated instance xml &lt;fi:form&gt;.
     Nested widgets are now grouped in &lt;fi:widgets&gt; and no longer in &lt;fi:children&gt;.
     This aligns with other container-widgets.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     LinkRewriter: Added support for rewriting URLs which are embedded into
     the attribute values (example: style attribute with background image URL).
     Such URLs can be extracted using RE expressions and re-written, leaving
     rest of the attribute value intact.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Velocity to 1.4 and iText to 1.02b
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        DC
        :
        
     Added standalone build target "validate-sitemaps".
     Added standalone build target "validate-stylesheets".
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Xindice to 1.1b4, xmldb-api to 20030701, xmldb-common to 20030701
     and xmldb-xupdate to 20040205
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Jetty to 4.2.19
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
     CForms: &lt;fi:styling type="date"/&gt; is not needed (nor supported)
     anymore, the required information about the datatype and the pattern is
     now included in the widget instance XML.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
        :
        
     CForms: it is now possible to store arbitrary data with each widget
     instance by using the new setAttribute and getAttribute methods of the
     Widget interface.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
     Groovy script generator support in BSF block
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
        :
        
     Renamed validate-set to constraint-set for consistency (the element name is also constraint-set).
    Thanks to Derek Hohls.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated bsf to 2.3.0
   </description></item>
   <item><title>MyProject  fix
          (bug 15841)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 15841)
        
        :
        
     "Fixed" bug 15841 by raising an exception when something is tried to add
     to elements before attributes.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
        :
        
     Changed blocks selection handling to allow more intuitive
     include.block.blockname syntax in (local.)blocks.properties. Old syntax
     exclude.block.blockname is still supported.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        UV
        :
        
     Enabled use of nested sitemap variables, e.g. {request-param:{1}}.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated antlr to 2.7.3
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Deprecated Tokenizer and the methods count(), matchStrings(),
     replaceTokens() and both split() in StringUtils. The functionality of all
     this was replaced in favor of Apache commons-lang lib. They will be removed
     in Cocoon 2.2
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated batik to 1.5.1, db-ojb to 1.0RC6
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        TC
        :
        
     Removed xmlform and jxforms blocks as confirmed by a users poll.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        TC
        :
        
     Removed precept block. Was dead code.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated jdtcore to 2.1.3, update castor-xml to 0.9.5.3
   </description></item>
   <item><title>MyProject  fix
          (bug 27764)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27764)
        
        :
        
     DefaultIncludeCacheManager did not release xml-serializer under some circumstances.
    Thanks to Corin Moss.</description></item>
   <item><title>MyProject  fix
          (bug 27681)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27681)
        
        :
        
     DOMFactory can now create a document element.
    Thanks to Peter Brant.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Databases: The xml-encoding for the SQLTransformer is now configurable.
   </description></item>
   <item><title>MyProject  fix
          (bug 27217)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27217)
        
        :
        
     Build System: New property "loglevel" that can be used in the patch files.
    Thanks to Andreas Hartmann.</description></item>
   <item><title>MyProject  fix
          (bug 27518)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27518)
        
        :
        
     Portal: Fix problems with minimizing/maximizing of portlets.
    Thanks to Michal Durdina.</description></item>
   <item><title>MyProject  fix
          (bug 26566)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 26566)
        
        :
        
     Portal: Fix problems with the portal block and using the CLI.
    Thanks to Simon Mieth.</description></item>
   <item><title>MyProject  fix
          (bug 27658)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27658)
        
        :
        
     Portal: Add default PropertyManagerService implementation
    Thanks to Michal Durdina.</description></item>
   <item><title>MyProject  fix
          (bug 27657)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27657)
        
        :
        
     Portal: Fix synchronization problem with JSR-168 portlets in IncludingHTMLSerializer.
    Thanks to Michal Durdina.</description></item>
   <item><title>MyProject  fix
          (bug 27602)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 27602)
        
        :
        
     Improvement for AbstractReader: Don't wrap an already buffered stream.
    Thanks to Gunnar Brand.</description></item>
   <item><title>MyProject  fix
          (bug 25437)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 25437)
        
        :
        
     ForwardEnvironmentWrapper delegates isResponseModified/setResponseIsNotModified to wrapped environment.
    Thanks to Marco Rolappe.</description></item>
   <item><title>MyProject  update
          (bug 27600)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 27600)
        
        :
        
     CForms: Change the syntax for repeater row identity handling.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     An internal redirect is now handled the same way as an external redirect would be handled.
     This includes that the error handler of the called pipeline is invoked in case of an error.
   </description></item>
   <item><title>MyProject  update
          (bug 27188)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
          (fixes bug 27188)
        
        :
        
     Set the default encoding for the Portlet Environment.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
        :
        
     Move XSP into an own block.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BD
        :
        
     Licenses changed to ASF 2.0 in all source files which had a license, using
     the ReplaceLicense tool from the committers CVS module.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RP
        :
        
     Ant task (correctLinefeed) that corrects linefeed characters according to
     our standard (LF).
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RP
        :
        
     Apples use the new CocoonForms classes
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RP
        :
        
     Petstore samples use the new CocoonForms names
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        RP
        :
        
     New Ant task ("woody2CocoonForms-renaming") that updates namespaces, sitemap components and
     flowscript functions (details see tools/target/upgrade-build.xml)
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RP
        :
        
     Renaming Woody to CocoonForms
     
       The Woody block (src/blocks/woody) has moved into the new Cocoon Forms
           block (src/blocks/forms).
       new namespaces:
           
               from xmlns:wd="http://apache.org/cocoon/woody/definition/1.0"
                   to   xmlns:fd="http://apache.org/cocoon/forms/1.0#definition"
               from xmlns:wb="http://apache.org/cocoon/woody/binding/1.0"
                   to   xmlns:fb="http://apache.org/cocoon/forms/1.0#binding"
               from xmlns:wi="http://apache.org/cocoon/woody/instance/1.0"
                   to   xmlns:fi="http://apache.org/cocoon/forms/1.0#instance"
               from xmlns:wt="http://apache.org/cocoon/woody/template/1.0"
                   to   xmlns:ft="http://apache.org/cocoon/forms/1.0#template"
           
       
       Java packages moved from org.apache.cocoon.woody to org.apache.cocoon.forms
     
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Velocity engine to 1.4-rc1
   </description></item>
   <item><title>MyProject  fix
          (bug 27301)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 27301)
        
        :
        
     Fix namespace handling in FilterTransformer.
   </description></item>
   <item><title>MyProject  add
          (bug 27020)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 27020)
        
        :
        
     Added grayscaling and color transformation to the ImageReader.
    Thanks to Peter Horsfield.</description></item>
   <item><title>MyProject  fix
          (bug 26851)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 26851)
        
        :
        
     LinkStatusGenerator now handles also links with a specified charset.
    Thanks to Marco Rolappe.</description></item>
   <item><title>MyProject  fix
          (bug 25934)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 25934)
        
        :
        
     Avoid "CLOBs" when indexing XML without superfluous whitespace (Lucene).
    Thanks to Philipp Matthias Hahn.</description></item>
   <item><title>MyProject  fix
          (bug 25594)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 25594)
        
        :
        
     Allow streaming of uploaded files into a pipeline using StreamGenerator.
    Thanks to Gernot Koller.</description></item>
   <item><title>MyProject  fix
          (bug 25483)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 25483)
        
        :
        
     Avoid accumulating of addresses and attachements in SendMailTransformer,
     when sending multiple mails, i.e. multiple sendmail elements at once.
    Thanks to Rui Alberto L. Gonçalves.</description></item>
   <item><title>MyProject  fix
          (bug 25403)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 25403)
        
        :
        
     EncodeURLTransformer no longer creates a session.
    Thanks to Marco Rolappe.</description></item>
   <item><title>MyProject  add
          (bug 22400)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 22400)
        
        :
        
     Added additional property &lt;column-case&gt; to the SQLTransformer with
     the possible values "preserve", "uppercase", and "lowercase".
    Thanks to Steve Krulewitz.</description></item>
   <item><title>MyProject  fix
          (bug 27254)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 27254)
        
        :
        
     Fixed path separator handling in cocoon.bat/.sh and Loader.java.
    Thanks to Georg Ragaller.</description></item>
   <item><title>MyProject  fix
          (bug 27456)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 27456)
        
        :
        
     Fixed duplicate startDocument event in BetwixtTransformer.
    Thanks to Oscar Picasso.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated POI to 2.5-final-20040302
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Pass notification object to coplet error pipelines so it can react on it.
   </description></item>
   <item><title>MyProject  update
          (bug 24457)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
          (fixes bug 24457)
        
        :
        
     Updated xalan to 2.6.0
    Thanks to Leszek Gawron.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     CForms: Support for multiple unique-row-id in a repeater
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     CForms: Aggregate field supports both directions (split / combine), and arbitrary
     types (not strings only).
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     CForms: Added String() function. Converts argument to string value.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Update Avalon Excalibur packages to released versions.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated joost to 20031219, qdox to 1.3 and quartz to 1.3.2
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated xerces to 2.6.2
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Make the current sitemap service manager available through the component context.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Portal block: Add portlet environment to build JSR 168 portlets with Cocoon.
                   This is a contribution by Alex Rudnev (alex.rudnev@dc.gov)
                   and Vadim Gritsenko (vadim.gritsenko@dc.gov).
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Adding basket coplet to the portal.
   </description></item>
   <item><title>MyProject  update
          (bug 25093)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
          (fixes bug 25093)
        
        :
        
     Patch for allowing empty values in configuration of defaults input module.
    Thanks to Alfred.Nathaniel.</description></item>
   <item><title>MyProject  update
          (bug 26896)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
          (fixes bug 26896)
        
        :
        
     Patch for disposing components in the properties in xml file module.
    Thanks to Marco Rolappe.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-httpclient to 2.0-final
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated jdtcore to 2.1.2, and Ant to 1.6.1
   </description></item>
   <item><title>MyProject  update
          (bug 26896)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
          (fixes bug 26896)
        
        :
        
     Patch for any elemens inside a coplet:content element and not just only text.
    Thanks to Jon Evans.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Adding SAX recording to AbstractSAXTransformer.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     Remove non-FOM flow classes and system.js
   </description></item>
 
 
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated iText to 1.02
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Woody block: every widget can now have a validator. This allows for example
     repeaters to perform inter-row validation or overall form-level validation.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UC
        :
        
     Woody block: added support for rich text editing using InteractiveTools' HTMLArea.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     ResourceReader: Is now configurable as well. All parameters can be defined
     during configuration of the reader. Fixed also a minor bug in the last-modified
     detection.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GP
        :
        
     OJB-Block: Added our own OJB ConnectionFactory which uses the
     DataSources configured in cocoon.xconf
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated POI to 2.0-final
   </description></item>
   <item><title>MyProject  fix
          (bug 26186)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 26186)
        
        :
        
     Fixing memory leak in the cocoon protocol.
    Thanks to Michael Gerzabek.</description></item>
   <item><title>MyProject  add
          (bug 14327)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 14327)
        
        :
        
     JSPReader: The output encoding of the reader is now configurable.
    Thanks to Marco Rolappe.</description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     woody.js has been removed. Please use woody2.js instead.
   </description></item>
   <item><title>MyProject  update
          (bug 25356)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        UH
          (fixes bug 25356)
        
        :
        
     Resurrected the Slide block and made it to work with current developement version
     of Slide (2.0-b1). Complete revamping of the Slide sample admin app.
   </description></item>
   <item><title>MyProject  fix
          (bug 26450)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 26450)
        
        :
        
     Allow the Authentication Framework to invoke a pipeline during logout
    Thanks to Ralph Goers.</description></item>
    <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-collections to version 3.0
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     First version of the JSR-168 support in the portal engine.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated commons-httpclient to the version 2.0-RC3
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        UH
        :
        
     Renamed JspGenerator to JSPGenerator to match JSPEngine and JSPReader naming convention.
   </description></item>
   <item><title>MyProject  fix
          (bug 25694)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        UH
          (fixes bug 25694)
        
        :
        
     JSPEngineImpl incorrectly converts bytes to characters.
    Thanks to Johan Stuyts.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Woody expression manager supports registration of custom functions (see cocoon.xconf).
     Added IsNull function.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Jakarta ORO to the version 2.0.8.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Lucene to 1.3 final.
   </description></item>
   <item><title>MyProject  fix
          (bug 25664)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 25664)
        
        :
        
     Build fails on windows without cygwin.
    Thanks to Karel Vervaeke.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Ant to 1.6.0.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Remove dependencies to Xalan (from portal-fw, authentication-fw, session-fw and core)
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Portal-Engine: Added some new samples (for inter-coplet communication,
     cleaned up the sample, fixed some bugs and added some new components
     for developing own coplets.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        MPO
        :
        
     Changed semantics on the cforms binding. Added a @direction (which replaces
     the @read-only) and a @lenient attribute on all binding implementations in
     the pool.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
        :
        
     Fix NPE error when pointed tag is empty in xsp-session-fw:getxml. Applying
     patch from ltrillaud@jouve.fr (ltrillaud@jouve.fr).
    Thanks to Laurent Trillaud.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     ResourceExistsSelector now works the same way as ResourceExistsAction does.
     It can now detect existence of any Cocoon resource, not only files in context.
     Default value for prefix was changed from '/' to ''. For old behavior, use prefix
     'context://'.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     Fixed and updated the stores and made them instrumentable to follow their size and
     the number of hits and missed.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     New PipelineUtil class that extends the features or cocoon.processPipelineTo()
     to SAX and DOM outputs.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     The "cocoon" object in flowscript has two new methods that allow Java classes
     instanciated by a flowscript to access e.g. request, response and components
     without requiring a dependency on the "FOM_Cocoon" class.
     cocoon.createObject(Class) creates an object and honors the various
     Avalon lifecycle interfaces implemented by an object.
     cocoon.disposeObject(Object) disposes an object if needed.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Reworked I18nTransformer implementation to use new version of XMLResourceBundle.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Reworked XMLResourceBundle implementation. Now it supports only XML bundles with
     fixed syntax (same as for I18nTransformer dictionaries), and instead of XPath
     keys uses message keys (which is faster). Returned resources now are instances of
     ParamSaxBuffer class, and not DOM nodes.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Modified BundleFactory interface to return Bundle instead of Component.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Cocoon Forms (Woody) selection lists now allow empty value (which is
     translated to the null object)
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Deprecate MirrorRecorder. It will be removed starting with Cocoon 2.2
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     In XMLDBTransformer, create operation now is able to create collections.
     It will create collection if oid attribute value ends with '/', otherwise
     it will work as before (creates XML resource)
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
        :
        
     Added optional collection attribute on &lt;xmldb:query/&gt; element of XMLDBTransformer.
     This attribute specifies collection name, relative to the transformer's base
     collection, which is used as base collection for current create/delete/update
     operation
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     Remove deprecated XMLDB generators from the sitemap
   </description></item>
   <item><title>MyProject  fix
          (bug 25132)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 25132)
        
        :
        
     Do not double decode URI in CocoonServlet
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
        :
        
     Resurrected the XMLDB samples including XIndice 1.1b1 in Cocoon.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     I18n transformer does not support old configuration syntax anymore
     (parameters catalogue-name, catalogue-location). Use &lt;catalogues/&gt;
     element instead.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     I18n transformer now works with translations containing elements with
     attributes.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update libs Xerces to 2.6.0 and xml-apis.jar.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Woody: new double-list styling for MultivalueField.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     New MountTableMatcher to define "mount tables" that allow external
     directories to be mounted in a sitemap without requiring to modify the
     sitemap. It's use has been included in the samples sitemap, thus allowing
     mounts that surivive a "build clean webapp".
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Woody: added rendering of &lt;wd:help&gt; popup panel on a "?" icon.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     Woody: new upload widget. This required some modification on multipart.Part
     objects that can now survice the end of processing of the current request.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        DC
        :
        
     Updated Entity Resolver from pre-release to official
     xml-commons-resolver-1.1 release.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     NetUtils deparameterize() and parameterize() extended to support
     multivalue parameters. Multivalue parameters are returned as String
     arrays.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UH
        :
        
     Add cocoon.sendStatus([Number] sc) and cocoon.response.setStatus([Number] sc)
     to FOM.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Jetty to 4.2.14
   </description></item>
   <item><title>MyProject  fix
          (bug 24093)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 24093)
        
        :
        
     Disable accessing files outside the context via the context protocol.
   </description></item>
 
 
   <item><title>MyProject  fix
          (bug 24463)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        DC
          (fixes bug 24463)
        
        :
        
     Complete overhaul of the Petstore sample. Adding Woody form processing
     Flow, and dealing with persistent data. Implementation of missing or
     unfinished parts. See the the bug report and its attached notes.
    Thanks to Leo Leonid.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     The CachingPointProcessingPipeline now uses Parameters instead of
     an own configuration scheme. See the demo sitemap for the changed configuration.
   </description></item>
   <item><title>MyProject  fix
          (bug 23299)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 23299)
        
        :
        
     XMLByteStreamCompiler now handles also text nodes longer than 32 k.
    Thanks to Simon Mieth.</description></item>
   <item><title>MyProject  fix
          (bug 23538)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 23538)
        
        :
        
     Reducing
     setDocumentLocator calls in JXTemplateGenerator and JXFormsGenerator.
    Thanks to Sam Coward.</description></item>
   <item><title>MyProject  add
          (bug 24294)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 24294)
        
        :
        
     sitemap-viewer added to the scratchpad samples
    Thanks to Jelle Alten.</description></item>
   <item><title>MyProject  fix
          (bug 19638)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        AG
          (fixes bug 19638)
        
        :
        
     Fix HSSFSerializer Bug: Same cell definitions blows document. Applying
     patch from Grigorios Merenidis (Grigorios.Merenidis@Dresdner-Bank.com).
    Thanks to Grigorios Merenidis.</description></item>
   <item><title>MyProject  fix
          (bug 24326)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 24326)
        
        :
        
     SQLTransformer: Correcting handling of XML data with XML declarations.
    Thanks to Andrzej Taramina.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     Fixing threading problems in the ExtendedComponentSelector.
    Thanks to Volker Schmitt.</description></item>
   <item><title>MyProject  fix
          (bug 24409)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 24409)
        
        :
        
      Fixing namespace handling in the send-mail transformer.
    Thanks to Martin Holz.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
      Fixing precompilation of the XSPs for the CLI.
    Thanks to Andrea Poeschl.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
      Woody: in the form definition, for widgets that have child widgets, those
      child widgets should now be embedded inside a wd:widgets element.
      Practical update information can be found
      
      in the wiki.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Updated Xalan to 2.5.2
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
     Woody: did some cleanup of the FormHandler interface: moved it to the event subpackage,
     made it handle all types of WidgetEvents (there's an AbstractFormHandler which splits
     ActionEvents from ValueChangedEvents). Removed the deprecated RepeaterHandler class,
     and the unused CarSelectorHandler class.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     Serializers now can optionally implement the SitemapModelComponent interface, meaning then can
     be given a "src" attribute and parameters using &lt;map:parameter&gt;.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
     Sitemap components (matchers, actions, generators, etc) can know the location of their use in the
     sitemap unsing a special parameter named Constants.SITEMAP_PARAMETERS_LOCATION.
   </description></item>
   <item><title>MyProject  fix
          (bug 23625)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 23625)
        
        :
        
     Closing some memory leaks in the source and component handling.
   </description></item>
   <item><title>MyProject  fix
          (bug 22377)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 22377)
        
        :
        
     Cocoon Protocol: Fixed a bug that broke the environment handling in some cases for internal pipeline calls. (This should also fix bug #15843).
    Thanks to Sam Coward.</description></item>
   <item><title>MyProject  fix
          (bug 23648)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 23648)
        
        :
        
     HTMLGenerator: fixed NullPointerException in case the "HTML" file contained an XML declaration.
    Thanks to Alfred Fuchs.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        UC
        :
        
    Fixed ResolverImplTestCase so that the "test" build target does not fail (it still depends on the
    deprecated block, though).
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
     Woody: fixed a bug causing an endless loop during validation of a field if
     during the validation of the field the value of the field itself was again
     requested.
   </description></item>
   <item><title>MyProject  fix
          (bug 16718)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 16718)
        
        :
        
     Patched SQLTransformer to use only one connection.
    Thanks to Daniel Fagerstrom.</description></item>
   <item><title>MyProject  add
          (bug 14845)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
          (fixes bug 14845)
        
        :
        
     Patch to XMLDBTransformer to generate a key on create if it is not provided
    Thanks to Micheal Homeijer.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     New JavaScriptBinding for Woody, which allows writing specific binding strategies
     with two JavaScript snippets (one for load, one for save).
   </description></item>
   <item><title>MyProject  update
          (bug 23575)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        GR
          (fixes bug 23575)
        
        :
        
    TraversableGenerators  can now be used with plain resources too (not only
    collections). XPathTraversableGenerator has been revamped
    in the XML recognition pattern (using mime type mapping too).
    While at it, a bug regarding non-existent sources has been
    fixed.
    Thanks to Unico Hommes.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update lib excalibur-i18n to 1.1, update iText to 1.01
   </description></item>
   <item><title>MyProject  add
          (bug 22813)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GH
          (fixes bug 22813)
        
        :
        
     Add initial support for IE in linotype.
    Thanks to Klaus Bertram.</description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
     Woody block: New integer Datatype.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
     SimpleFormTransformer: multiple values not repeatedly inserted anymore,
     value is consumed instead. Add repeater tag. Make transformer inherit from
     AbstractSAXTransformer. Update examples to show basic repeat tag usage.
   </description></item>
 
 
   <item><title>MyProject  fix
          (bug 23516)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 23516)
        
        :
        
     Fix default namespace handling in Xscript variables.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        AG
        :
        
     OJB block: Object Relational mapping tool integration.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
     Slop block: New YAPT sample, lightweight presentation tool.
   </description></item>
   <item><title>MyProject  add
          (bug 23171)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 23171)
        
        :
        
     Fixing release of Source in the JXTemplateGenerator.
    Thanks to Volker Schmitt.</description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update lib commons-lang to 2.0, iText to 1.00
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
     New event-handling system for Woody. Value change and action event handlers
     can be attached respectively to field and action widgets, and event handlers
     can be both Java classes or JavaScript snippets in the form definition.
     
     New &lt;wd:repeater-action&gt; widget to automatically handle rows addition and
     deletion on repeaters (a very common need).
     
     New &lt;wd:submit&gt; widget to distinguish between actions (act on the form and
     redisplay it) and submits that terminate the form.
     
     Ability to trigger form submit on any widget value change (including inputs,
     popups, etc) to trigger server-side event handlers through client-side interaction.
     
     Rewriting of the Woody/FlowScript integration to be more simple.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        AG
        :
        
     Update libs Xerces to 2.5.0 and Ant to 1.5.4
   </description></item>
   <item><title>MyProject  fix
          (bug 23208)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 23208)
        
        :
        
     Fixed internationalization support for HSSFSerializer by setting also the
     output encoding in the Workbook to UTF-16.
    Thanks to Yury Mikhienko.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        GP
        :
        
     Fixed issues the cron block had when cocoon (or the servlet container ?)
     allows reloads.
   </description></item>
   <item><title>MyProject  remove</title><link>http://myproj.mygroup.org//changes.html</link><description> remove
        by
        VG
        :
        
     Removed deprecated XPathProcessor and implementations. These classes where
     moved into the Excalibur XMLUtil package. Removed Jaxen libraries used by
     JaxenProcessorImpl.
   </description></item>
   <item><title>MyProject  update
          (bug 21730)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 21730)
        
        :
        
     Replaced the deprecated LogkitManager stuff with its LoggerManager
     counterpart. This is Cocoon internal and should not affect components as
     long as you don't use LogKitManageable interface.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
     Woody binding framework: fixed a problem with the deletion of rows by the
     repeater binding, whereby not all deleted rows where removed from the
     bean or XML model.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
        :
        
     Errors handled by map:handle-errors are now logged to the logcategory
     "sitemap.handled-errors". Previously they weren't logged.
   </description></item>
 
 
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Moved scratchpad into an own block. This allows that code in the
     scratchpad can depend on other blocks. The scratchpad can now also
     have own configurations.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
     Extended the build system. If one block depends on the other it
     can now also use the libraries of the other block. This avoids
     moving the libs to the lib/optional directory.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GP
        :
        
     cron block added
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
     Updated Jakarta Regexp library to the version 1.3
   </description></item>
   <item><title>MyProject  add
          (bug 13070)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 13070)
        
        :
        
     Applying patch for adding new session-fw logicsheet that allows access to a session context from with xsp.
    Thanks to Antonio Gallardo.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
     Fixed a StackOverflowError in errors2html.xslt that could occur with error
     pages containing very long stack traces.
   </description></item>
   <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
     Woody: renamed the button widget to action widget. If you were using this
     widget, you will need to update your form definition files.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Adding new RequestDataStore component that can be used as a replacement
     for the component marker interfaces RequestLifeCycleComponent and
     GlobalRequestLifeCycleComponent obsolete.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Adding contributions to the portal from Friedrich Klenner (friedrich.klenner@rzb.at),
     Gerald Kahrer (gerald.kahrer@rizit.at) and Gernot Koller (gernot.koller@rizit.at):
     caching uri coplet, application coplet, proxy transformer, proxy reader and link
     transformer.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        UV
        :
        
     Changed logkit attribute of &lt;logging in cli.xconf to be relative to context dir,
     rather than CLI invocation dir.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UV
        :
        
     Added include/exclude feature to CLI to allow fine-tuning of crawling of a site.
   </description></item>
   <item><title>MyProject  fix
          (bug 18131)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 18131)
        
        :
        
     Upgraded excalibur-event package so that Tomcat shutdown and continuations
     cleanup now works properly.
   </description></item>
   <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
     Add a session-context input module to the session framework to retrieve
     information from a session context in the sitemap.
   </description></item>
   <item><title>MyProject  add
          (bug 21399)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 21399)
        
        :
        
     Applying patch for processing http.nonProxyHosts in WebServiceProxyGenerator.
    Thanks to Peter Ross.</description></item>
   <item><title>MyProject  fix
          (bug 22574)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 22574)
        
        :
        
     POI block: fixed formula support. If no ValueType attribute is set on
     &lt;gmr:Cell/&gt;, the cell content will be interpreted as formula.
    Thanks to Neil Bacon.</description></item>
   <item><title>MyProject  add
          (bug 21848)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 21848)
        
        :
        
     Applying patch for using 'host' in the logging patterns.
    Thanks to Unico Hommes.</description></item>
   <item><title>MyProject  fix
          (bug 22498)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 22498)
        
        :
        
     Lucene block: LuceneIndexTransformer configuration fixed.
    Thanks to Conal Tuohy.</description></item>
   <item><title>MyProject  fix
          (bug 12173)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 12173)
        
        :
        
     Applying patch from Renaud Bruyeron (bruyeron@fullsix.com) that fixes
     the prematurely closing of the connection causing in the SQL Transformer.
   </description></item>
   <item><title>MyProject  update
          (bug 22479)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 22479)
        
        :
        
     Midi block: added transposition and inversion stylesheets and samples.
    Thanks to Mark Leicester.</description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
     Rewrite handling of internal-redirects (i.e. redirects to "cocoon:" URLs). Previously, internal redirects
     where not handled for internal requests (i.e. sitemap source). This bug prevented among other cases the use
     of flow-driven pages enclosed in an aggregation.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
     The jars in /lib/local are used during compilation again.
   </description></item>
   <item><title>MyProject  fix
          (bug 20445)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 20445)
        
        :
        
     Update the I18nTransformer so that it also accepts the 2.0 namespace. This ensures backwards compatibility
     for 2.0 applications. Additionally, attributes on "i18n:" elements can now be in the default namespace (meaning
     we can now write &lt;i8n:text key="foo"&gt; instead of &lt;i18n:text i18n:key="foo"&gt;)
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
     Fix in the SVG serializer: if setDocumentLocator wasn't called on the
     serializer (which can happen if you have e.g. an XSLT transformer in the
     pipeline), then the base URI for the SVG document wasn't set which could
     cause exceptions. Now it is set to http://localhost/ in such cases. Also
     fixed a problem with the document locator not being reset between
     subsequent retrievals of the serializer from the pool.
   </description></item>
   <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
        :
        
     Fix Jisp based persistent store: close database files on Cocoon shutdown and
     re-use existing database and index files on startup.
   </description></item>
   <item><title>MyProject  fix
          (bug 22239)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
          (fixes bug 22239)
        
        :
        
     Views are now always loaded before resources, ensuring proper call of views from resources.
     Redeclaring a component (e.g. file generator) with no "label" attribute was wrongly inheriting
     view labels from the same component in the parent sitemap.
   </description></item>
 
 
  <item><title>MyProject  update
          (bug 22288)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 22288)
        
        :
        
    Midi block refactoring applied.
   Thanks to Mark Leicester.</description></item>
  <item><title>MyProject  add
          (bug 22270)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
          (fixes bug 22270)
        
        :
        
    Patch for allowing to specify a cocoon-view for internal requests in the query string.
   Thanks to Unico Hommes.</description></item>
  <item><title>MyProject  fix
          (bug 19839)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 19839)
        
        :
        
    Instrumentation support: Updated client libraries to make instrumentation work again.
    Added a target "start-instrumentation-client" to Cocoon's ant files and removed "runclient" shell scripts.
  </description></item>
  <item><title>MyProject  fix
          (bug 22064)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 22064)
        
        :
        
    XMLDBTransformer: retrieving auto-generated resource id.
   Thanks to Nicolas Maisonneuve.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
    midi block added
   Thanks to Mark Leicester.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
    slop block added (Simple Line Oriented Parser)
  </description></item>
  <item><title>MyProject  fix
          (bug 21931, 22173)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 21931, 22173)
        
        :
        
    LDAPTransformer now handles multiple attribute values.
    The filter element is also configurable via a sitemap parameter.
   Thanks to Unico Hommes.</description></item>
  <item><title>MyProject  add
          (bug 20033, 22042)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 20033, 22042)
        
        :
        
    LDAPTransformer: Added attribute modification methods: add, replace, modify, append.
   Thanks to Yury Mikhienko.</description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
        :
        
    IMPORTANT: Flow: cleaned up the situation with regards to the "uri" argument to the
    sendPage, sendPageAndWait, and processPipelineTo functions.  URI's starting
    with a slash are resolved against the root sitemap, URI's not starting with
    a slash are resolved against the current sitemap. Specifying a scheme is not
    allowed.
  </description></item>
  <item><title>MyProject  fix
          (bug 19841)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 19841)
        
        :
        
    I18nTransformer: if content of i18n:text is empty and translation is not
    found, use untranslated-text.
  </description></item>
  <item><title>MyProject  fix
          (bug 22050)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
          (fixes bug 22050)
        
        :
        
    ESQL: explicitly release database resources.
   Thanks to Gildas Guillemot.</description></item>
  <item><title>MyProject  fix
          (bug 21213)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 21213)
        
        :
        
    Paginator now caches dynamic pagesheet correctly.
   Thanks to Frank Taffelt.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
    Configuration logkit.xconf can now be read from any location.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
    Fix the ignoreErrors handling in the cinclude transformer.
  </description></item>
 
 
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
    Updated FOP to the latest released version, 0.20.5.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
    Added delete capabilities to the SourceWritingTransformer.
  </description></item>
  <item><title>MyProject  add
          (bug 21881)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
          (fixes bug 21881)
        
        :
        
    Add a defaultContentType parameter to StreamGenerator, to comply
    with misbehaving clients.
   Thanks to Guido Casper.</description></item>
  <item><title>MyProject  add
          (bug 21778)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
          (fixes bug 21778)
        
        :
        
    Add a new set of WebDAV samples, with the capability of serving
    WebDAV content straight from Cocoon.
   Thanks to Guido Casper.</description></item>
  <item><title>MyProject  fix
          (bug 21557)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        DC
          (fixes bug 21557)
        
        :
        
    Various fixes and enhancements to Lucene search. Propagate the lucene:*
    elements to the result tree and add "elapsed-time" attribute, so now
    possible to transform the results into a useful report about indexing.
    Fix "incremental" indexing.
   Thanks to Conal Tuohy.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
    Added CLOB support in SQLTransformer.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
    Added an (unstable) HTMLTransformer to the html block, to parse and
    tidy an XML containing escaped (and possibly incorrect) HTML
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        GR
        :
        
    Added URL encoding of user/password in the WebDAV source
    (webdav://user:password@host/path)
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
    Decouple core XSP logicsheet from database classes to allow XSP deployment
    without excalibur datasource JAR file. If your XSP pages use datasources
    directly (and not through ESQL logicsheet), add xsp:include.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
   The authentication framework now uses a configurable component to try to authenticate a user.
   This allows to drop in own authentication services or e.g. the servlet authentication mechanism.
  </description></item>
  <item><title>MyProject  fix
          (bug 4934)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 4934)
        
        :
        
   Made JSPs working in Resin that don't end on *.jsp.
   Thanks to Ryder Rishel.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
        :
        
   All Reader accessing Avalon components now extend the ServiceableReader
   instead of deprecated ComposerReader. It pertains the JSPReader, the
   DatabaseReader and the AxisRPCReader.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
   Added a WebDAV block, with an initial implementation of
   a modifiable and traversable WebDAV source.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
   Added a DirectoryGenerator implementation on scratchpad
   working on any Traversable Source.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
   Adding global request lifecycle component.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
   The cache used by the caching processing pipeline is now configurable
   allowing to use different caches in different pipelines.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
   The cache uses now a configured store. This allows to use differently
   configured caches at the same time.
  </description></item>
  <item><title>MyProject  fix
          (bug 14327)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 14327)
        
        :
        
   Reverted the encoding changes in the JSP engine. The fix should be done in
   the JSPReader, that already contains a TODO.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        RP
        :
        
    Web3: The stylesheets in the examples use Xalan as transformer and work correctly now
    as XSLTC has problems with the 'rfc' namespace.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        RP
        :
        
    Changed namespace for Web3RfcTransformer to 'http://apache.org/cocoon/Web3-Rfc/1.0'.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
    ParanoidCocoonServlet can optionally configured with a file containing the classpath.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
    Configuration cocoon.xconf can now be read from any location.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SW
        :
        
    Flow view can now be in "internal-only" pipelines.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
        :
        
   Updated FOP to 0.20.5rc3a.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
        :
        
   Moved WebServiceProxyGenerator + some samples into the proxy block.
  </description></item>
  <item><title>MyProject  update
          (bug 12216)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 12216)
        
        :
        
   Updated common-httpclient from CVS checkout of 2003-02-10 to 2.0 beta 2.
   This hopefully fixes also the bug. Moved it into core because of dependencies.
  </description></item>
  <item><title>MyProject  fix
          (bug 21340)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 21340)
        
        :
        
   Refactored the WebServiceProxyGenerator: "host parameter is null" fixed, replaced deprecated
   stuff, removed all work arounds (hopefully no longer needed), removed the buggy "&lt;?xml" test,
   replaced getResponseBodyAsString() with getResponseBody() (but encoding issue is still not fixed).
   Thanks to Peter Ross.</description></item>
  <item><title>MyProject  fix
          (bug 20115)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 20115)
        
        :
        
    Applied patch for implementing exists for the xmldb source.
   Thanks to Tim Goodwin.</description></item>
 
 
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
        :
        
    Refactored the XPathDirectoryGenerator: provides all the functionality of DirectoryGenerator now,
    parameter xpath added replacing the xpointer-ish syntax, additional parameter xmlFiles for specifying
    a pattern for XML files, removed docid attribute on dir:xpath + some minor fixes.
  </description></item>
  <item><title>MyProject  add
          (bug 15150)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
          (fixes bug 15150)
        
        :
        
    Added merged region support to HSSF (= Excel) Serializer.
   Thanks to Danny Mui.</description></item>
  <item><title>MyProject  update
          (bug 21248)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        JH
          (fixes bug 21248)
        
        :
        
    Updated POI from 1.7.0-dev to 1.10.0-dev. Patched code accordingly. Fixed usage of deprecated methods.
   Thanks to Alfred Nathaniel.</description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
        :
        
    Web3: Fix extra close element on connectivity loss.
   Thanks to Michael Gerzabek.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CH
        :
        
    SimpleFormTransformer: Make complete form protectable, ability to use more
    than one transformation with different fixed attributes, optionally let
    error elements pass, configure prefix, suffix, separator at configuration
    time, add optional use of form name, formating.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CH
        :
        
    Added feature to allow a database action (i.e. delete) not to fail if no
    row was affected. Formating. Use toString() to convert to String rather
    than cast.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    Added SimpleSelector that operates just on Strings. Useful in conjunction
    with a sitemap variable or input module.
  </description></item>
  <item><title>MyProject  fix
          (bug 19104)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 19104)
        
        :
        
    Fixed SchematronValidator.evalRule() in xmlforms block: create a relative context instead of an absolute one.
    This allows to refer to another form field by using relative paths (../password) instead of choosing a common root.
   Thanks to Johan Stuyts.</description></item>
  <item><title>MyProject  fix
          (bug 20682)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 20682)
        
        :
        
    Fixed return of different DirValidity objects on multiple calls on getValidity() in the DirectoryGenerator.
   Thanks to Wolfgang Kowarschick.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        DC
        :
        
    The DTDs are now completely handled by the catalog entity resolver.
    The old copies of DTDs at xdocs/dtd/ have been removed. If you are
    editing the Cocoon xdocs with an xml editor, then point it to the
    WEB-INF/entities/catalog or catalog.xcat file. If your editor cannot
    utilise an entity resolver, then get a better editor.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        UV
        :
        
    Added support for permanent redirects in &lt;map:redirect-to&gt;
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
        :
        
    Fixed some caching (added missing parameters and changed algorithm for cache key generation)
    and logging issues in the DirectoryGenerator. Fixed the root pattern handling (if not matching
    directory found leave out the ancestors). Fixed empty src attribute handling.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        GP
        :
        
    Upgraded to new Axis 1.1 release
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
    Adding concept of parent-aware components, making e.g. the usage of
    selectors with a component manager hierarchy much easier.
  </description></item>
  <item><title>MyProject  fix
          (bug 15365)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 15365)
        
        :
        
    Added/fixed internationalization support for HSSFSerializer by setting the output encoding
    hardcoded to UTF-16. It is obviously only a hack, but so it is at least usable for more people.
   Thanks to Maciek Kaminski.</description></item>
  <item><title>MyProject  fix
          (bug 20658)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 20658)
        
        :
        
    Fixed usage of removed method XSPUtil.include() in ESQL logicsheet &lt;esql:get-xml/&gt;
   Thanks to Alfred Nathaniel.</description></item>
  <item><title>MyProject  fix
          (bug 14977)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 14977)
        
        :
        
    Fixed NPE in SQLTransformer.serializeData()
   Thanks to Tony Culshaw.</description></item>
  <item><title>MyProject  add
          (bug 20477)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 20477)
        
        :
        
   Added cHTML/iMode "Hello World!" sample (provided by Arje Cahn)
   Thanks to Arje Cahn.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
    Upgraded Xalan (includes XSLTC) from a CVS snapshot (20030506) to version 2.5.1.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
    Updated ParanoidCocoonServlet, which is now an easy solution to the
    well-known endorsed library problem (incompatible version of Xalan in
    Cocoon and in JDK 1.4+).
  </description></item>
  <item><title>MyProject  fix
          (bug 14327)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        DC
          (fixes bug 14327)
        
        :
        
    Encoding-related change to the JSP engine: the response charset is now
    retrieved from the Content-Type, and if not found ISO-8859-1 is used as
    default (previously UTF-8 was the default).
  </description></item>
  <item><title>MyProject  fix
          (bug 11533)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 11533)
        
        :
        
    The deprecated source implementations are now wrapped by proxies.
    Modified patch from Jens Lorenz (jens.lorenz@interface-business.de)
  </description></item>
  <item><title>MyProject  fix
          (bug 15302)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JH
          (fixes bug 15302)
        
        :
        
   For non-existent files XSPUtil.relativeFilename() now throws FileNotFoundException instead of NPE.
  </description></item>
  <item><title>MyProject  add
          (bug 13559)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        JH
          (fixes bug 13559)
        
        :
        
    Getter for jxcontext_ property added for subclassing reasons.
   Thanks to Robert E. Parrott.</description></item>
  <item><title>MyProject  fix
          (bug 17623)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 17623)
        
        :
        
    Fixing incorrect caching behaviour when internal pipelines are used.
   Thanks to Alex Romayev.</description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JT
        :
        
    Command-line will no longer add a 'null' suffix to files with an unknown MIME type.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
    The object model and the components stored in the object model are now available
    via the component context.
  </description></item>
  <item><title>MyProject  fix
          (bug 20159)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 20159)
        
        :
        
   Logicsheets:
   Changed scope of and renamed temporary 'soap:call' XScript variable in &lt;soap:call&gt;.
   Fixed compilation problem with &lt;xscript-get as="object"&gt; expression.
   Thanks to Hugh Leather.</description></item>
  <item><title>MyProject  add
          (bug 19894)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BRD
          (fixes bug 19894)
        
        :
        
    I18nTransformer: support a currency attribute on i18n:number. This allows
    to take the currency symbol and formatting from one locale and the decimal
    and grouping separation symbols from another locale.
   Thanks to Michael Enke.</description></item>
  <item><title>MyProject  fix
          (bug 19881)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 19881)
        
        :
        
    Fixed synchronisation problem in I18nTransformer when retrieving catalogues.
   Thanks to Michael Enke.</description></item>
  <item><title>MyProject  fix
          (bug 19423, 15525)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 19423, 15525)
        
        :
        
    Improved XPointer support in the XIncludeTransformer. Meanwhile improved the way xml:base
    attributes are handled, added support for the xi:fallback element, do XInclude processing
    on included content, and added XInclude samples.
  </description></item>
  <item><title>MyProject  update
          (bug 15312)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
          (fixes bug 15312)
        
        :
        
    Dispose the parent Component Manager if it implements Disposable. Happens when the
    Cocoon servlet shuts down or when Cocoon is reloaded.
   Thanks to Unico Hommes.</description></item>
 
 
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
        :
        
   Changed namespace for the RequestGenerator to 'http://apache.org/cocoon/request/2.0'.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
        :
        
   Changed namespace for XMLForm components to 'http://apache.org/cocoon/xmlform/1.0'.
  </description></item>
  <item><title>MyProject  update
          (bug 19786)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
          (fixes bug 19786)
        
        :
        
   Extended the ExtendedXLinkPipe to be more extensible. Prepared is html and p3p.
   Thanks to Torsten Knodt.</description></item>
  <item><title>MyProject  update
          (bug 14986)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
          (fixes bug 14986)
        
        :
        
   Patch velocity generator, so that the scope of objects can be specified (request, session, sitemap).
   Thanks to Michael Homeijer.</description></item>
  <item><title>MyProject  update
          (bug 19978)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        GR
          (fixes bug 19978)
        
        :
        
   Fixed namespace handling in XMLDBSource.
   Thanks to Ciro Mondueri.</description></item>
  <item><title>MyProject  add
          (bug 16003)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        VG
          (fixes bug 16003)
        
        :
        
   Added XHTML 1.1 DTD to the entity catalog. Added XHTML 1.1 serializer into the sitemap.
   Explained different XHTML 1.0 serializer options.
  </description></item>
  <item><title>MyProject  update
          (bug 18466)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
          (fixes bug 18466)
        
        :
        
   Enable the LDAPTransformer to obtain attribute values from LDAP using various encoding
   schemes for stored values.
   Thanks to Yury Mikhienko.</description></item>
  <item><title>MyProject  update
          (bug 19885)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
          (fixes bug 19885)
        
        :
        
   Cleaned up MIMEUtils.
   Thanks to Torsten Knodt.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
   The DirectoryGenerator is now cacheable. A new "refreshDelay" parameter defines the delay between two checks
   on the filesystem for modified files.
  </description></item>
  <item><title>MyProject  add
          (bug 19772)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
          (fixes bug 19772)
        
        :
        
   Added STX block. (alternative to XSLT)
   Thanks to Daniel Fagerstrom.</description></item>
  <item><title>MyProject  fix
          (bug 19526)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 19526)
        
        :
        
   Throw InvalidContinuationException when flow continuation is not found or not valid,
   instead of forwarding to hard-coded 'invalidContinuation' page.
   Thanks to Tony Collen.</description></item>
  <item><title>MyProject  fix
          (bug 14564)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 14564)
        
        :
        
   Fixing NPE in JspEngineImpl.
  </description></item>
  <item><title>MyProject  fix
          (bug 14117)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 14117)
        
        :
        
   Obtain handler and application name from parameters for internal requests if
   handler could not be resolved from the request object.
  </description></item>
  <item><title>MyProject  fix
          (bug 17612)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 17612)
        
        :
        
   Delaying getting of the output stream from the http response until it is really needed.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
    Adding new portal framework.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BRD
        :
        
    Updated Xalan to a CVS snapshot (2003-05-06), fixes bug with incorrect
    namespaces in endElement SAX events.
  </description></item>
  <item><title>MyProject  add
          (bug 16523)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 16523)
        
        :
        
   QDox block added, parses Java source code and javadoc tags, includes samples.
   Thanks to Bart Guijt.</description></item>
  <item><title>MyProject  fix
          (bug 19683)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
          (fixes bug 19683)
        
        :
        
   Fixing the problem with eating spaces in custom transformers.
  </description></item>
  <item><title>MyProject  add
          (bug 19619)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
          (fixes bug 19619)
        
        :
        
   Hello World sample added for the SWF block (although page2swf.xsl contains incomplete font definition).
   Thanks to Joerg Heinicke.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
   Redesign/modularizing the authentication and session framework.
  </description></item>
  <item><title>MyProject  add
          (bug 19206)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
          (fixes bug 19206)
        
        :
        
    Added 304 support to cacheable pipelines
   Thanks to Miles Elam.</description></item>
  <item><title>MyProject  fix
          (bug 17763)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 17763)
        
        :
        
    DTD comment events are now dropped after parsing by default.
  </description></item>
  <item><title>MyProject  fix
          (bug 13186)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 13186)
        
        :
        
    When an exception occured in a pipeline containing an XSL, the contents of
    the pipeline was appended to the error page. Now this only happens anymore
    when the incremental-processing of Xalan is enabled (which is unavoidable
    for now).
  </description></item>
  <item><title>MyProject  fix
          (bug 13186)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BRD
          (fixes bug 13186)
        
        :
        
    Disabled incremental-processing of Xalan by default.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BD
        :
        
    standalone-demo build target added
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BD
        :
        
    cacheable.xsp sample reworked, did not work in M1
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BD
        :
        
    new FOP serializer samples, accessible from the "blocks with samples" page
  </description></item>
  <item><title>MyProject  fix
          (bug 15820)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 15820)
        
        :
        
    Fixed NPE if ESQL does not get a connection
   Thanks to John R. Daily.</description></item>
  <item><title>MyProject  fix
          (bug 14286)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 14286)
        
        :
        
    Fixed SQL injection vulnerability of DatabaseAuthenticatorAction
   Thanks to Geoff Howard.</description></item>
  <item><title>MyProject  fix
          (bug 18547)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 18547)
        
        :
        
    ESQL "Auto" support for sybase ASE. New database detection method.
   Thanks to Neil Bacon.</description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CZ
        :
        
    Removing dependency from the Cocoon core to JTidy.
  </description></item>
  <item><title>MyProject  fix
          (bug 18683)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 18683)
        
        :
        
    Sync XML:DB source with 2.0 branch: Conect to the XML:DB once, from the
    XMLDBSourceFactory.
  </description></item>
 
 
  <item><title>MyProject  fix
          (bug 10242)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 10242)
        
        :
        
    TextSerializer now can handle absence of root element in the incoming XML.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        SW
        :
        
    'handle-errors' sections in the sitemap now do not have an implicit
    generator: any generator can now be used, whereas previously it was
    implied and produced an XML representation of the error).
    
    To ensure backwards compatibility, 'handle-errors' sections can have a
    'type' attribute to continue the implicit-generator behaviour, but are
    now to be considered as deprecated.
    
    A new ExceptionSelector is also available to drive the error-handling
    pipeline constuction depending on the error type.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        TC
        :
        
    EsqlConnection no longer implements java.sql.Connection.
    No jvm dependency any more.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Refactored SitemapConfigurable. A sitemap configurable component can
    now be ThreadSafe and has access to the sitemap configuration at any time
    through a SitemapConfigurationHolder.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Correcting method names of new CacheableProcessingComponent interface.
    It is now possible to write components that support the 2.0.x and the
    2.1.x caching algorithm.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Setting minimum JDK version from 1.2 to 1.3.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
   Updating to the latest official Avalon and Excalibur releases.
  </description></item>
  <item><title>MyProject  add
          (bug 17671)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        NKB
          (fixes bug 17671)
        
        :
        
    Enhancements to the CLI to reduce the number of times it
    needs to render a page. Using the option to prevent checking of extensions, it
    is now possible to generate a site generating each page only once.

    Allow the configuration of the CLI using
    an xconf file.

    Switch cli to using the Jakarta Commons CLI package.
   Thanks to Upayavira.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        MC
        :
        
   Added support for the LogFactor5 graphical log event browser.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        JT
        :
        
   XMLFileModule: rename 'cachable' to 'cacheable' in configation.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
        :
        
    FOP serializer's &lt;user-config&gt; relative path now resolves relative
    to sitemap's directory. All Cocoon URIs are supported too.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        PF
        :
        
    The CVS repository for Cocoon 2.1 is now called "cocoon-2.1" (no branches, just HEAD).
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        TC
        :
        
   Added support for Pervasive db to ESQL.
  </description></item>
  <item><title>MyProject  fix
          (bug 16695)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        SMS
          (fixes bug 16695)
        
        :
        
   Changed category for Log logicsheets.
   Thanks to Leszek Gawron.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
   Extended the HTMLGenerator so that it can handle HTML snippets
   provided as request parameter or as POST data, passing them through
   Tidy to ensure well-formedness.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CZ
        :
        
   New caching cinclude transformer. The cinclude transformer can now cache
   the aggregated content for a distinct period of time. In addition it can
   fetch the content in parallel or pre-emptive.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        PF
        :
        
   The repository for Cocoon 2.1 is now called "cocoon-2-historical" (the old
   "xml-cocoon2" repository is deprecated).
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        PF
        :
        
    The "javadocs" build target now links offline to the appropriate JavaDOC
    repositiories available on the web.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        PF
        :
        
    Added proxy generator block for remote HTTP-base generation of XML
    (will deprecate the WSProxyGenerator).
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        PF
        :
        
    Added subrequest processing via the sitemap to the Cocoon flow.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SM
        :
        
    Moved the asciiart stuff from the scratchpad into a block.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SM
        :
        
    Moved the SendmailAction and the mail-related stuff from the scratchpad
    into the mail block.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SM
        :
        
    Removed the MaybeUploadRequestFactory since we have our own and the less
    dependencies the better
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Moving core properties of the build system into a separate properties file.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        GR
        :
        
    The "expires" pipeline parameter is honored even by the internal Cocoon
    cache, i.e. the caching algorithms are overridden if an expires
    parameter is present and still fresh.
  </description></item>
  <item><title>MyProject  fix
          (bug 15401)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 15401)
        
        :
        
    Set "Last-Modified" header
  </description></item>
  <item><title>MyProject  fix
          (bug 17324)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 17324)
        
        :
        
    Fixed the ResourceExistAction to return null instead of EMPTYMAP on
    not existing resources.
   Thanks to Alfred Nathaniel.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SM
        :
        
    Refactored the build system.
  </description></item>
  <item><title>MyProject  fix
          (bug 17261)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
          (fixes bug 17261)
        
        :
        
    Put the exceptions into esql namespace so the variable named "e" is still
    available in XSP.
  </description></item>
  <item><title>MyProject  update
          (bug 17127)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        DC
          (fixes bug 17127)
        
        :
        
    Now i18n transformer has support for multiple catalogues and can now use
    "input modules" in catalogue name and catalogue location. Fixed bug with
    getting content for the translation key in certain circumstances. Fixed
    bug with accidental removal of translation text in certain circumstances.
   Thanks to Bruno Dumon.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        PAR
        :
        
    Optional 'global' parameter on map:redirect-to when giving a URI.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        PAR
        :
        
    Make getParentComponentManager in CocoonServlet protected so alternate methods to getting the
    parent CM can be used.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        PAR
        :
        
    Optional "depth" attribute on the cocoon log format to control how deep to go in stacktrace
    reporting.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        PAR
        :
        
    Do not specify a default to the "class-loader" parameter in JavaLanguage
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        PAR
        :
        
    Add a NonStaticClassLoaderManager that does not keep internal static variables. Useful when
    putting cocoon.jar outside the WEB-INF/lib directory and have multiple XSP pages of the same
    name in multiple webapps
  </description></item>
  <item><title>MyProject  fix
          (bug 16267)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 16267)
        
        :
        
    Improve default exception handling behavior in CocoonServlet: show exception stacktrace
    only when log level is INFO or DEBUG, and add exception message to "Not Found" page.
  </description></item>
  <item><title>MyProject  fix
          (bug 16264)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 16264)
        
        :
        
    Use Environment.tryResetResponse() instead of HttpServletResponse.reset() in CocoonServlet
    to avoid IllegalStateException if response was already committed.
  </description></item>
  <item><title>MyProject  update
          (bug 11861)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
          (fixes bug 11861)
        
        :
        
    Add support for Collection objects to the CastorTransformer.
    Upgrade to the SAX2 API, improve logging, and use SourceResolver to load mappings.
   Thanks to Michael Homeijer.</description></item>
  <item><title>MyProject  update
          (bug 15748)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        VG
          (fixes bug 15748)
        
        :
        
    Refactor Main class into two classes, Main and CocoonBean. CocoonBean provides simple
    programmatic interface to the Cocoon.
   Thanks to Upayavira.</description></item>
  <item><title>MyProject  fix
          (bug 16490)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        VG
          (fixes bug 16490)
        
        :
        
    Add image dimensions to the ImageReader's cache key.
   Thanks to Upayavira.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    modular.DatabaseActions: added ability to store FileParts from uploads to
    "ascii", "clob", "blob", and "binary" columns. Added getSize() method to FilePart.
   Thanks to Geoff Howard.</description></item>
  <item><title>MyProject  add
          (bug 9075)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
          (fixes bug 9075)
        
        :
        
    SAP R/3 connectivity components added.
   Thanks to Michael Gerzabek.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CH
        :
        
    Moved block samples to own category, modified build system to merge
    .xsample files to block-samples.xml.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Renaming components section for pipeline implementations to "pipes" and "pipe".
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Updated to latest versions of excalibur sourceresolve and xmlutil.
  </description></item>
  <item><title>MyProject  update
          (bug 14700)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SMS
          (fixes bug 14700)
        
        :
        
    Patch IOUtils to recognize '..' in Path
   Thanks to Michael Enke.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
    The "mime-type" attribute on &lt;map:read&gt; and &lt;map:serialize&gt; is now
    expanded if it contains sitemap variables.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    InputModule to access XMLForm instances.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    (modular) DatabaseAction: added ability to use arbitrary path separators
    instead of "." (e.g. "/"), added ability to count rows from 1, added
    documentation.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    Created additional isolation level for some OutputModules.
  </description></item>
  <item><title>MyProject  add
          (bug 15611)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
          (fixes bug 15611)
        
        :
        
    Added LinkRewriterTransformer.
   Thanks to Jeff Turner.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        OP
        :
        
    Added support for expiring continuations.
   Thanks to Michael Melhem.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        OP
        :
        
    Fixed the way complex Java objects are passed from the control
    flow to the XSP view layer.
   Thanks to Ugo Cei.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CZ
        :
        
    Added ant-contrib library with some optional ant tasks and started cleaning
    up the build system.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        SW
        :
        
    ZipArchiveSerializer now accepts inline content for entries of the zip archive
    and not only source URLs.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        TC
        :
        
    ImageReader extends now ResourceReader and therefor the
    "expire-time" parameter is now "expires". Also removed the
    setting of the byte range header for on-the-fly images.
    (did not support it anyway)
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        TC
        :
        
    Moved the byte range support from the ByteRangeReader in scratchpad
    into the ResourceReader. Added the optional parameters "buffer-size"
    and "byte-range". Byte range support is enable by default.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        TC
        :
        
    Move the image inspection into a ImageUtils class
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        TC
        :
        
    Major cleanup of the ImageDirectoryGenerator, removed the RuntimeExceptions,
    added support for the JPEG comment marker
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        BH
        :
        
    Added reader user documentation section, including readers documentation;
    added BrowserSelector, and HostSelector documentation, plus template-selector
    usable as template for writing more selector docs;
    added WildcardURIMatcher, and WildcardHeaderMatcher, plus template-matcher
    usable as template for writing more matcher docs.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        TC
        :
        
    Fixed the esql:more-results tag for non-JDBC limit methods
   Thanks to Antonio Gallardo.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Moved all classes marked @deprecated to the src/deprecated directory.
    Since Many classes are still a dependency for the core, while this is fixed
    the build process still copies them with the core during compilation.
    To compile with the deprecation separation, do "build -Ddeprecate=true".
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Moved code to new blocks: profiler, velocity.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BH
        :
        
    Update XML Serializer, HTML Serializer , and Text Serializer documentation,
    added XHTML Serializer documentation in the serializer user documentation section.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        BH
        :
        
    Update SVG Serializer, SVG JPEG, and SVG PNG documentation, added
    SVG TIFF documentation in the serializer user documentation section.
  </description></item>
  <item><title>MyProject  fix
          (bug 15609)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BH
          (fixes bug 15609)
        
        :
        
   XMLFileModule checks result of SitemapSource.getValidity() as it may return null
   Thanks to Jeff Turner.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        DC
        :
        
   Integrated the validation targets into the build ("validate-config" and
   "validate-xdocs") also still available at the command-line. Validation
   happens automatically unless you switch it off. See document
   XML Validation Facilities.
  </description></item>
  <item><title>MyProject  fix
          (bug 15064)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
          (fixes bug 15064)
        
        :
        
   Postgresql 7.3: LIMIT x,y no longer supported. Added new class for
   postgresql-old limit method that still uses LIMIT x,y while postgresql
   uses the LIMIT x OFFSET y syntax which has been used by postgresql for
   some time now.
   Thanks to Michael Enke.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Created .src/deprecated directory to contain all deprecated classes.
    This will help in maintaining Cocoon free from deprecated classes.
    Started by moving some deprecated caching stuff.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Moved code to new blocks: html, php, lucene, bsf
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Now module.xml is named project.info.xml
  </description></item>
  <item><title>MyProject  fix
          (bug 15005)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
          (fixes bug 15005)
        
        :
        
   Extension to sendmail.xsp: lists for sendmail:cc
   Thanks to Frank Ridderbusch.</description></item>
  <item><title>MyProject  fix
          (bug 14835)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
          (fixes bug 14835)
        
        :
        
   Added container/form-encoding init-params to web.xml
   Thanks to Artur Bialecki.</description></item>
  <item><title>MyProject  fix
          (bug 15136)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
          (fixes bug 15136)
        
        :
        
   Fixing various inefficient logging calls.
   Thanks to Stuart Roebuck.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CH
        :
        
    Make all "meta" modules ThreadSafe
  </description></item>
  <item><title>MyProject  fix
          (bug 15431)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        KP
          (fixes bug 15431)
        
        :
        
    Perform correct source resolution in XMLResourceBundle.
    Now i18n transformer can obtain dictionaries using any supported source (e.g. 'cocoon:/').
   Thanks to Michael Gerzabek.</description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        KP
        :
        
    Added Greek translation, thanks to Stavros Kounis (gounis.at.osmosis.gr).
    Corrected Armenian translation to be real Unicode and be
    readable without additional plug-ins (on Win).
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        GR
        :
        
    Updated the XML:DB Source. Now it will accept, in cocoon.xconf,
    optional authentication attributes, called "user" and "password".
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    New transformer extracts fragments to documents and stores them using an
    OutputModule. Tags that start fragment are configurable.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    New output module puts everything in a map in a request attribute.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        CH
        :
        
    AbstractJXPathModule / JXPathMetaModule default to lenient mode i.e. do not
    throw an exception on unsupported attributes but return null instead. Made
    this a configuration option.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    XMLMetaModule returns DocumentWrapper instead of String.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    Wrapper for org.w3c.dom.Document that implements XMLizable and provides
    a useful toString() method.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
    SimpleMappingMetaModule: added feature to remove a prefix / suffix.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
        :
        
    "meta" input modules: configuring a different module locally did not
    override the default one in all circumstances.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
        :
        
    input.xml: renaming mixed up called template names from logicsheet-util.xsl
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        CH
        :
        
    SimpleFormTransfomer: fixed error tags when no validation data available.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Moved the sample classes and confs to the samples block.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        TC
        :
        
    Cleaned up the esql logicsheet and helper classes.
    Created classes for db specific stuff.
    Improved the limit/paging features.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Moved the jsp components to the jsp block, using hand-made-to-be-cleaned
    mock objects for the weblogic specific imports.
    Had also to move some definitions from the cocoon roles and xconf file.
    This moving of the blocks is indeed cleaning the core! :-)
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Updated block build system to compile and use mock objects in
    the "mocks" subdir of the blocks if present.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        CH
        :
        
   New InputModule to access contents of
   an XMLFile using JXPath, based on patch from Jeff Turner (jefft.at.apache.org).
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Moved endorsed libs in ./lib/endorsed, so that they can be added in the build file
    easily as java jvm args, or in the future copied to the webserver or Java endorsed dir.
    Currently it enables Jetty to run easily in 1.4 JVMs without need to copy libs to
    the endorsed dir.
  </description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        NKB
        :
        
    Added jetty webserver for fast and easy Cocoon test and evaluation.
    To run launch "build run" and point the browser to http://localhost:8888/
    Since it seems there is a bug somewhere, ATM point to
    http://localhost:8888/documentation/index.html to see the page.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Removed ./tools/build-i.xml and moved the interactive targets in main build.
    Removed ./tools/build-s.xml and removed all references to scratchpad builds (not used).
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
    Removed JTidyTask that was not used and switched to using the Ant input task from UserInputTask.
  </description></item>
  <item><title>MyProject  fix
          (bug 14795)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        NKB
          (fixes bug 14795)
        
        :
        
    Added useexternalfile="yes" attribute makes Ant collect all package names in a temporary
    file and give that to Javadoc, thus going round the Wintel long command truncation issue.
  </description></item>
  <item><title>MyProject  update</title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
        :
        
   Moved LDAPTransformer to a block called "naming".
  </description></item>
  <item><title>MyProject  update
          (bug 14581)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        DC
          (fixes bug 14581)
        
        :
        
   New build target "validate-schematron" to conduct build-time validation
   (currently only the sitemaps) using RELAX NG grammars with embedded
   Schematron rules.
   This uses Schematron
   stylesheets from Rick Jelliffe and Academia Sinica Computing Center, Taiwan.
   Thanks to Colin Paul Adams.</description></item>
  <item><title>MyProject  add</title><link>http://myproj.mygroup.org//changes.html</link><description> add
        by
        DC
        :
        
   Enhanced the RELAX NG grammar for sitemap.xmap files and added embedded
   Schematron rules.
   Thanks to Colin Paul Adams.</description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        BH
        :
        
   Fix setOutputStream throwing IOExeption in XMLSerializer, and TextSerializer.
  </description></item>
  <item><title>MyProject  fix</title><link>http://myproj.mygroup.org//changes.html</link><description> fix
        by
        NKB
        :
        
   Make the CLI report errors correctly to the screen when a page generation fails.
  </description></item>
  <item><title>MyProject  update
          (bug 12975)
        </title><link>http://myproj.mygroup.org//changes.html</link><description> update
        by
        NKB
          (fixes bug 12975)
        
        :
        
   Moved POI to a block. Applied patch without moving the core elementprocessor
   classes in the block.
   Thanks to Philipp Schmidt.</description></item>
